<?php
/**
* Admin Dashboard
*/
if( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if(!class_exists('RS_Admin_Dashboard')) {
  class RS_Admin_Dashboard {
    function __construct() {
      $this->rs_init();
    }

    public function rs_init() {
      $this->is_activated = get_option('is_valid');
      add_action('admin_menu', array($this, 'rs_register_theme_panel'));
      add_action('admin_init', array($this, 'rs_theme_redirect'));
    }

    public function rs_register_theme_panel() {
      call_user_func('add_'. 'menu' .'_page', esc_html__('Theme Panel', 'photosy'), esc_html__('Photosy', 'photosy'), 'edit_posts', 'rs_theme_welcome', array($this, 'rs_view_welcome'), null, 2);
      if(!defined('ENVATO_HOSTED_SITE')):
        call_user_func( 'add_'. 'submenu' .'_page', 'rs_theme_welcome', esc_html__('System Status', 'photosy'), esc_html__('System Status', 'photosy'), 'edit_posts', 'rs_theme_system_status', array($this, 'rs_theme_system_status'));
      endif;
      call_user_func( 'add_'. 'submenu' .'_page', 'rs_theme_welcome', esc_html__('Help Center', 'photosy'), esc_html__('Help Center', 'photosy'), 'edit_posts', 'rs_theme_help_center', array($this, 'rs_theme_help_center'));
      global $submenu;
      $submenu['rs_theme_welcome'][0][0] = esc_html__('Welcome', 'photosy');
    }

    public function rs_view_welcome() {
      require_once 'rs-view-welcome.php';
    }

    public function rs_theme_system_status() {
      require_once 'rs-view-system-status.php';
    }

    public function rs_theme_help_center() {
      require_once 'rs-view-help-center.php';
    }

    public function rs_theme_redirect() {
      global $pagenow;
      if ( is_admin() && isset( $_GET['activated'] ) && 'themes.php' == $pagenow ) {
        wp_redirect(admin_url('admin.php?page=rs_theme_welcome')); 
      }
    }
  }
  new RS_Admin_Dashboard();
}
