<?php
/*
 * Footer Section
*/
$sections[] = array(
  'title' => esc_html__('Footer', 'photosy'),
  'desc' => esc_html__('Change the footer section configuration.', 'photosy'),
  'icon' => 'fa fa-list-alt',
  'fields' => array(
    array(
      'id' => 'footer-enable-switch-local',
      'type' => 'button_set',
      'title' => esc_html__('Enable Footer', 'photosy'),
      'options' => array(
        '1' => 'On',
        '' => 'Default',
        '0' => 'Off',
      ),
      'default' => '',
      'subtitle' => esc_html__('If on, this layout part will be displayed.', 'photosy'),
    ),

    array(
      'id'       => 'footer-template-local',
      'type'     => 'image_select',
      'width'    => '180',
      'title'    => esc_html__('Template', 'photosy'),
      'subtitle' => esc_html__('Choose template for navigation footer.', 'photosy'),
      'options'  => array(
        ''  => array(
          'alt' => 'Default',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0000_header-default.png')
        ),
        'footer-style1'  => array(
          'alt' => 'Footer Style 1',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0011_footer-style1.png')
        ),
        'footer-style2'  => array(
          'alt' => 'Footer Style 2',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0008_footer-style5.png')
        ),
        'footer-style3'  => array(
          'alt' => 'Footer Style 3',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0005_footer-style3.png')
        ),
        'footer-style4'  => array(
          'alt' => 'Footer Style 4',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0010_footer-style4.png')
        ),
        'footer-style5'  => array(
          'alt' => 'Footer Style 5',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0009_footer-style2.png')
        ),
        'footer-style6'  => array(
          'alt' => 'Footer Style 6',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0007_footer-style6.png')
        ),
      ),
      'default' => '',
      'validate' => '',
    ),
    array(
      'id'               =>'footer-style6-bg-local',
      'type'             => 'background',
      'background-color' => false,
      'title'            => esc_html__('Background', 'photosy'),
      'output' => array('background' => '.dark-version.site-footer-5'),
      'required'         => array('footer-template', 'equals', array('footer-style6')),
    ),
    array(
      'id'        => 'footer-column-local',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Footer Columns', 'photosy'),
      'subtitle'  => esc_html__('Select footer column.', 'photosy'),
      'options'   => array(
        '4' => esc_html__('Column 4', 'photosy'),
        '3' => esc_html__('Column 3', 'photosy'),
        '2' => esc_html__('Column 2', 'photosy'),
        '1' => esc_html__('Column 1', 'photosy'),
      ),
      'default'   => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style5', 'footer-style2', 'footer-style6')),
    ),
    array(
      'id' => 'random-number-newsletter',
      'type' => 'info',
      'desc' => '<h2 class="highlight-redux">'.esc_html__('Newsletter Configuration', 'photosy').'</h2>',
      'required'  => array('footer-template-local', 'equals', array('footer-style2', 'footer-style6')),
    ),
    array(
      'id'      => 'footer-newsletter-heading-local',
      'type'    => 'text',
      'title'   => esc_html__('Heading', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style2', 'footer-style6')),
    ),
    array(
      'id'      => 'footer-newsletter-content-local',
      'type'    => 'textarea',
      'title'   => esc_html__('Content', 'photosy'),
      'default' => 'There is a more famous painting in western art history commonly referred to by the artist.',
      'required'  => array('footer-template', 'equals', array('footer-style2', 'footer-style6')),
    ),
    array(
      'id'      => 'footer-email-text-local',
      'type'    => 'text',
      'title'   => esc_html__('Email', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style4')),
    ),
    array(
      'id'      => 'footer-address-text-local',
      'type'    => 'text',
      'title'   => esc_html__('Address', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style4')),
    ),
    array(
      'id'      => 'footer-phone-number-text-local',
      'type'    => 'text',
      'title'   => esc_html__('Phone Number', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style4')),
    ),
    array(
      'id'      => 'footer-left-text-area-local',
      'type'    => 'textarea',
      'title'   => esc_html__('Footer Left Content', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style1')),
    ),
    array(
      'id'      => 'footer-right-text-area-local',
      'type'    => 'textarea',
      'title'   => esc_html__('Footer Right Content', 'photosy'),
      'default' => '',
      'required'  => array('footer-template-local', 'equals', array('footer-style1')),
    ),
    array(
      'id' => 'random-number',
      'type' => 'info',
      'desc' => '<h2 class="highlight-redux">'.esc_html__('Footer Logo Module', 'photosy').'</h2>'
    ),
    array(
      'id'       =>'footer-logo-local',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Logo', 'photosy'),
      'subtitle' => esc_html__('Upload the logo that will be displayed in the footer.', 'photosy'),
      'required'  => array('footer-template-local', 'equals', array('footer-style2', 'footer-style4')),
    ),
    array(
      'id'      => 'footer-logo-width-local',
      'type'    => 'text',
      'title'   => esc_html__('Logo Width', 'photosy'),
      'default' => '',
      'desc'    => esc_html__('Optional : Enter the logo width', 'photosy')
    ),
    array(
      'id'      => 'footer-logo-height-local',
      'type'    => 'text',
      'title'   => esc_html__('Logo Height', 'photosy'),
      'default' => '',
      'desc'    => esc_html__('Optional : Enter the logo height', 'photosy')
    ),
    array(
      'id' => 'random-number-social',
      'type' => 'info',
      'desc' => '<h2 class="highlight-redux">'.esc_html__('Social Icon Configuration', 'photosy').'</h2>',
    ),
    array(
      'id'=>'footer-enable-social-icons-local',
      'type' => 'button_set',
      'title' => esc_html__('Show social', 'photosy'),
      'subtitle'=> esc_html__('If on, social will be displayed.', 'photosy'),
      'options' => array(
        '1' => 'On',
        '' => 'Default',
        '0' => 'Off',
      ),
      'default' => '',
    ),
    array(
      'id'       => 'footer-social-icons-category-local',
      'type'     => 'select',
      'title'    => esc_html__('Social Icons Category', 'photosy'),
      'subtitle' => esc_html__('Select desired category', 'photosy'),
      'options'  => photosy_get_terms_assoc('social-site-category'),
      'default'  => '',
    ),
  ), // #fields
);