<?php
/*
 * Header Section
*/
$sections[] = array(
  'title' => esc_html__('Header', 'photosy'),
  'desc' => esc_html__('Change the header section configuration.', 'photosy'),
  'icon' => 'fa fa-window-maximize',
  'fields' => array(
    array(
      'id' => 'header-enable-switch-local',
      'type' => 'button_set',
      'title' => esc_html__('Enable Header', 'photosy'),
      'options' => array(
        '1' => 'On',
        '' => 'Default',
        '0' => 'Off',
      ),
      'default' => '',
      'subtitle' => esc_html__('If on, this layout part will be displayed.', 'photosy'),
    ),
    array(
      'id'       => 'header-template-local',
      'type'     => 'image_select',
      'width'    => '180',
      'title'    => esc_html__('Template', 'photosy'),
      'subtitle' => esc_html__('Choose template for navigation header.', 'photosy'),
      'options'  => array(
        ''       => array(
          'alt' => 'Default',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0000_header-default.png')
        ),
        'header-style1'  => array(
          'alt' => 'Header Style 1',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0003_header-style1.png')
        ),
        'header-style2'  => array(
          'alt' => 'Header Style 2',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0000_header-style2.png')
        ),
        'header-style3'  => array(
          'alt' => 'Header Style 3',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0001_header-style3.png')
        ),
        'header-style4'  => array(
          'alt' => 'Header Style 4',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0002_header-style4.png')
        ),
        'header-style5'  => array(
          'alt' => 'Header Style 5',
          'img' => get_theme_file_uri('admin/assets/img/panel/_0004_header-style5.png')
        ),
      ),
      'default' => '',
      'validate' => '',
    ),
    array(
      'id'       => 'header-social-icons-category-local',
      'type'     => 'select',
      'title'    => esc_html__('Social Icons Category', 'photosy'),
      'subtitle' => esc_html__('Select desired category', 'photosy'),
      'options'  => photosy_get_terms_assoc('social-site-category'),
      'default'  => '',
    ),
    array(
      'id'=>'header-primary-menu-local',
      'type' => 'select',
      'title' => esc_html__('Primary Menu', 'photosy'),
      'subtitle' => esc_html__('Select a menu to overwrite the header menu location.', 'photosy'),
      'data' => 'menus',
      'default' => '',
    ),
    array(
      'id'   => 'random-number-local',
      'type' => 'info',
      'desc' => wp_kses_post('<h2 style="color:#0073aa;">Logo Module</h2>')
    ),
    array(
      'id'=>'logo-local',
      'type' => 'media',
      'url' => true,
      'title' => esc_html__('Logo', 'photosy'),
      'subtitle' => esc_html__('Upload the logo that will be displayed in the header.', 'photosy'),
    ),
    array(
      'id'=>'logo-retina-local',
      'type' => 'media',
      'url' => true,
      'title' => esc_html__('Logo@2x', 'photosy'),
      'subtitle' => esc_html__('Upload the logo for retina display.', 'photosy'),
    ),
    array(
      'id'      => 'logo-width-local',
      'type'    => 'text',
      'title'   => esc_html__('Logo Width', 'photosy'),
      'default' => '',
      'desc'    => esc_html__('Optional : Enter the logo width e.g 50.', 'photosy')
    ),
    array(
      'id'      => 'logo-height-local',
      'type'    => 'text',
      'title'   => esc_html__('Logo Height', 'photosy'),
      'default' => '',
      'desc'    => esc_html__('Optional : Enter the logo height e.g 50.', 'photosy')
    ),
  ), // #fields
);
