<?php

$redux_opt_name = REDUX_OPT_NAME;
if(!function_exists('photosy_redux_add_metaboxes')) {
  function photosy_redux_add_metaboxes($metaboxes) {

    $metaboxes = array();

    $metaboxes[] = photosy_redux_get_page_template_portfolio_metaboxes();
    $metaboxes[] = photosy_redux_get_info_post_metaboxes();
    $metaboxes[] = photosy_redux_get_post_opt_metaboxes();
    $metaboxes[] = photosy_redux_get_page_template_blog_metaboxes();
    $metaboxes[] = photosy_redux_get_page_metaboxes();
    $metaboxes[] = photosy_redux_get_video_post_metaboxes();
    $metaboxes[] = photosy_redux_get_audio_post_metaboxes();
    $metaboxes[] = photosy_redux_get_gallery_post_metaboxes();
    $metaboxes[] = photosy_redux_get_post_adv_metaboxes();
    $metaboxes[] = photosy_redux_get_social_metaboxes();
    $metaboxes[] = photosy_redux_get_portfolio_post_metaboxes();

    return $metaboxes;
  }
  add_action('redux/metaboxes/'.$redux_opt_name.'/boxes', 'photosy_redux_add_metaboxes');
}

/**
 * Get configuration array for blog template
 * @return type
 */
function photosy_redux_get_page_template_blog_metaboxes() {
  $sections = array();
  require get_template_directory() . '/admin/metaboxes/page-template-blog.php';
  return array(
    'id'         => 'photosy-template-blog-options',
    'title'      => esc_html__('Blog Options', 'photosy'),
    'post_types' => array('page'),
    'position'   => 'normal', // normal, advanced, side
    'priority'   => 'high', // high, core, default, low
    'sections' => $sections,
    'page_template' => array(
      'tpl-blog-list.php',
      'tpl-blog-masonry.php',
    )
  );
}

/**
 * Get configuration array for blog template
 * @return type
 */
function photosy_redux_get_page_template_portfolio_metaboxes() {
  $sections = array();
  require get_template_directory() . '/admin/metaboxes/page-template-portfolio.php';
  return array(
    'id'         => 'photosy-template-portfolio-options',
    'title'      => esc_html__('Portfolio Split Slider Options', 'photosy'),
    'post_types' => array('page'),
    'position'   => 'normal', // normal, advanced, side
    'priority'   => 'high', // high, core, default, low
    'sections' => $sections,
    'page_template' => array(
      'tpl-portfolio-split-slider-style1.php',
      'tpl-portfolio-split-slider-style2.php',
      'tpl-portfolio-split-slider-style3.php',
      'tpl-portfolio-split-slider-style4.php',
    )
  );
}

/**
 * Get configuration array for blog template
 * @return type
 */
function photosy_redux_get_info_post_metaboxes() {
  $sections = array();
  require get_template_directory() . '/admin/metaboxes/info.php';
  return array(
    'id'         => 'photosy-template-info-options',
    'title'      => esc_html__('Notice', 'photosy'),
    'post_types' => array('page'),
    'position'   => 'normal', // normal, advanced, side
    'priority'   => 'high', // high, core, default, low
    'sections' => $sections,
    'page_template' => array(
      'tpl-portfolio-split-slider-style1.php',
      'tpl-portfolio-split-slider-style2.php',
      'tpl-portfolio-split-slider-style3.php',
      'tpl-portfolio-split-slider-style4.php',
    )
  );
}

/**
 * Get configuration array for contact template
 * @return type
 */
function photosy_redux_get_social_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/social-site.php';

  return array(
    'id' => 'photosy-template-social-options',
    'title' => esc_html__('Social Options', 'photosy'),
    'post_types' => array('social-site'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections,
  );
}


/**
 * Get configuration array for page metaboxes
 * @return type
 */
function photosy_redux_get_page_metaboxes() {

  $sections = array();

  require get_template_directory() . '/admin/metaboxes/header.php';
  require get_template_directory() . '/admin/metaboxes/content.php';
  require get_template_directory() . '/admin/metaboxes/title-wrapper.php';
  require get_template_directory() . '/admin/metaboxes/footer.php';
  require get_template_directory() . '/admin/metaboxes/sidebar.php';

  return array(
    'id' => 'photosy-page-options',
    'title' => esc_html__('Options', 'photosy'),
    'post_types' => array('page'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections
  );
}


/**
 * Get configuration array for video post metaboxes
 * @return type
 */
function photosy_redux_get_video_post_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/post-video.php';

  return array(
    'id' => 'photosy-video-post-options',
    'title' => esc_html__('Video Post Options', 'photosy'),
    'post_types' => array('post'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections,
    'post_format' => array('video')
  );
}

/**
 * Get configuration array for video post metaboxes
 * @return type
 */
function photosy_redux_get_audio_post_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/post-audio.php';

  return array(
    'id' => 'photosy-audio-post-options',
    'title' => esc_html__('Audio Post Options', 'photosy'),
    'post_types' => array('post'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections,
    'post_format' => array('audio')
  );
}

/**
 * Get configuration array for gallery post metaboxes
 * @return type
 */
function photosy_redux_get_gallery_post_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/post-gallery.php';

  return array(
    'id' => 'photosy-gallery-post-options',
    'title' => esc_html__('Gallery Post Options', 'photosy'),
    'post_types' => array('post'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections,
    'post_format' => array('gallery')
  );
}

/**
 * Get configuration array for gallery post metaboxes
 * @return type
 */
function photosy_redux_get_post_opt_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/post-sidebar.php';

  return array(
    'id' => 'photosy-post-options',
    'title' => esc_html__('Post Options', 'photosy'),
    'post_types' => array('post'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections,
  );
}

/**
 * Get configuration array for page metaboxes
 * @return type
 */
function photosy_redux_get_post_adv_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/header.php';
  require get_template_directory() . '/admin/metaboxes/title-wrapper.php';
  require get_template_directory() . '/admin/metaboxes/footer.php';

  return array(
    'id' => 'photosy-post-adv-options',
    'title' => esc_html__('Options', 'photosy'),
    'post_types' => array('post'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections
  );
}


/**
 * Get configuration array for portfolio single post
 * @return type
 */
function photosy_redux_get_portfolio_post_metaboxes() {

  // Variable used to store the configuration array of sections
  $sections = array();

  // Metabox used to overwrite theme options by page
  require get_template_directory() . '/admin/metaboxes/portfolio-general.php';
  require get_template_directory() . '/admin/metaboxes/portfolio-details.php';

  return array(
    'id' => 'photosy-portfolio-options',
    'title' => esc_html__('Portfolio Options', 'photosy'),
    'post_types' => array('portfolio'),
    'position' => 'normal', // normal, advanced, side
    'priority' => 'high', // high, core, default, low
    'sections' => $sections
  );
}
