<?php
/**
 * Customizer Section
 */

$this->sections[] = array(
  'title' => esc_html__('Customizer', 'photosy'),
  'desc' => esc_html__('Check child sections to style properly the correct area of the theme.', 'photosy'),
  'icon'  => 'fa fa-paint-brush',
  'fields' => array(

  ), // #fields
);

$this->sections[] = array(
  'title' => esc_html__('Header', 'photosy'),
  'desc' => esc_html__('Configure header styles.', 'photosy'),
  'subsection' => true,
  'fields' => array(
    array(
      'id' => 'random-number',
      'type' => 'info',
      'desc' => '<h2 class="highlight-redux">'.esc_html__('Header Settings', 'photosy').'</h2>'
    ),
    array(
      'id'        => 'customizer-header-bg-color',
      'type'      => 'color',
      'title'     => esc_html__('Header Background Color', 'photosy'),
      'default'   => '',
      'output'    => array('background-color' => '.site-header, .site-header-top.site-header, header')
    ),
    array(
      'id'        => 'customizer-header-social-icon-color',
      'type'      => 'color',
      'title'     => esc_html__('Header Social Icon Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.site-header-top.site-header .social-btn a')
    ),
    array(
      'id'        => 'customizer-header-social-icon-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Header Social Icon Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.site-header-top.site-header .social-btn a:hover')
    ),
    array(
      'id'        => 'customizer-header-menu-bar-color',
      'type'      => 'color',
      'title'     => esc_html__('Header Menu Bar Color', 'photosy'),
      'default'   => '',
      'output'    => array('background' => '.burger-menu i:before, .burger-menu i, .burger-menu i:after')
    ),
  ),
);

/**
* Content Section
*/
$this->sections[] = array(
  'title' => esc_html__('Menu', 'photosy'),
  'desc' => esc_html__('Configure menu styles.', 'photosy'),
  'subsection' => true,
  'fields' => array(
    array(
      'id' => 'random-number',
      'type' => 'info',
      'desc' => '<h2 class="highlight-redux">'.esc_html__('Main Header Settings', 'photosy').'</h2>'
    ),
    array(
      'id'        => 'customizer-main-menu-item-color',
      'type'      => 'color',
      'title'     => esc_html__('Main Menu Item Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.menu-item > a, .site-header-top.site-header .primary-nav .primary-nav-list>li>a, .site-header-top.site-header .primary-nav .primary-nav-list>li:hover>a')
    ),
    array(
      'id'        => 'customizer-main-menu-item-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Main Menu Item Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.menu-item > a:hover, .site-header-top.site-header .primary-nav .primary-nav-list>li>a:hover')
    ),
    array(
      'id'        => 'customizer-sub-menu-bg-color',
      'type'      => 'color',
      'title'     => esc_html__('Sub Menu Background Color', 'photosy'),
      'default'   => '',
      'output'    => array('background' => '.site-header-top.site-header .primary-nav .primary-nav-list ul')
    ),
    array(
      'id'        => 'customizer-sub-menu-item-color',
      'type'      => 'color',
      'title'     => esc_html__('Sub Menu Item Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.site-header-top.site-header .primary-nav .menu-item-has-children ul a')
    ),
    array(
      'id'        => 'customizer-sub-menu-item-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Sub Menu Item Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.site-header-top.site-header .primary-nav .menu-item-has-children ul li:hover>a')
    ),
    array(
      'id'        => 'customizer-sub-menu-item-bg-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Sub Menu Item Background Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('background' => '.site-header-top.site-header .primary-nav .menu-item-has-children ul li:hover>a')
    ),
  ),
);


/**
* Footer Section
*/
$this->sections[] = array(
  'title' => esc_html__('Footer', 'photosy'),
  'desc' => esc_html__('Configure footer styles.', 'photosy'),
  'subsection' => true,
  'fields' => array(
    array(
      'id'        => 'customizer-footer-bg-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Background Color', 'photosy'),
      'default'   => '',
      'output'    => array('background-color' => '.common-footer-style.main-footer, .main-footer .section')
    ),
    array(
      'id'        => 'customizer-footer-heading-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Heading Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.footer-item .h6, .main-footer h2')
    ),
    array(
      'id'        => 'customizer-footer-text-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Text Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.main-footer p')
    ),
    array(
      'id'        => 'customizer-footer-link-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Link Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.main-footer a, .main-footer p a, .main-footer .widget a ')
    ),
    array(
      'id'        => 'customizer-footer-link-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Link Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.main-footer a:hover, .main-footer p a:hover, .main-footer .widget a:hover, .common-footer-style .footer-item ul li a:hover')
    ),
    array(
      'id'        => 'customizer-footer-border-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Border Color', 'photosy'),
      'default'   => '',
      'output'    => array('background' => '.footer-separator, .link-type-2:before, .link-type-2:after, .link-type-2 span:after, .link-type-2 span:before')
    ),
    array(
      'id'        => 'customizer-footer-social-icon-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Social Icon Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.folow-icon ul li a')
    ),
    array(
      'id'        => 'customizer-footer-social-icon-hover-color',
      'type'      => 'color',
      'title'     => esc_html__('Footer Social Icon Hover Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => '.folow-icon ul li a:hover, .folow-icon a:hover i')
    ),
  ),
);

/**
* Category Section
*/
$this->sections[] = array(
  'title' => esc_html__('Heading & Body', 'photosy'),
  'desc' => esc_html__('Configure heading and body element styles.', 'photosy'),
  'subsection' => true,
  'fields' => array(
    array(
      'id'        => 'customizer-heading-color-color',
      'type'      => 'color',
      'title'     => esc_html__('Heading Color', 'photosy'),
      'default'   => '',
      'output'    => array('h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6, .about-block-wrapper h2, .text-block-with-button h2'),
    ),
    array(
      'id'        => 'customizer-global-content-color',
      'type'      => 'color',
      'title'     => esc_html__('Content Color', 'photosy'),
      'default'   => '',
      'output'    => array('color' => 'body', '.simple-text p')
    ),
  ),
);
