<?php
/*
 * General Section
*/
$this->sections[] = array(
  'title' => esc_html__('General', 'photosy'),
  'desc' => esc_html__('Configure general styles.', 'photosy'),
  'icon' => 'fa fa-toggle-on',
  'subsection' => true,
  'fields'  => array(
    array(
      'id' => 'general-loader-enable-switch',
      'type' => 'switch',
      'title' => esc_html__('Enable Loader', 'photosy'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
      'subtitle' => esc_html__('If on, this layout part will be displayed.', 'photosy'),
    ),
    array(
      'id'       => 'page-top-margin',
      'type'     => 'select',
      'title'    => esc_html__('Page Margin Top', 'photosy'),
      'subtitle' => esc_html__('Select desired margin for the content', 'photosy'),
      'options'  => photosy_get_space_array(),
      'default'  => '100',
    ),
    array(
      'id'       => 'page-bottom-margin',
      'type'     => 'select',
      'title'    => esc_html__('Page Margin Bottom', 'photosy'),
      'subtitle' => esc_html__('Select desired margin for the content', 'photosy'),
      'options'  => photosy_get_space_array(),
      'default'  => '100',
    ),
    array(
      'id'=>'general-loader-logo',
      'type' => 'media',
      'url' => true,
      'title' => esc_html__('Loader Logo', 'photosy'),
      'subtitle' => esc_html__('Upload the logo that will be displayed in the loader.', 'photosy'),
    ),
    array(
      'id'        => 'main-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Main Layout', 'photosy'),
      'subtitle'  => esc_html__('Select main content and sidebar alignment. Choose between 1 or 2 column layout.', 'photosy'),
      'options'   => array(
        'default'       => esc_html__('1 Column', 'photosy'),
        'left_sidebar'  => esc_html__('2 - Columns Left', 'photosy'),
        'right_sidebar' => esc_html__('2 - Columns Right', 'photosy'),
      ),
      'default'   => 'default',
    ),
    array(
      'id'        => 'sidebar',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar', 'photosy'),
      'subtitle'  => esc_html__('Select custom sidebar', 'photosy'),
      'options'   => photosy_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('main-layout', 'equals', array('left_sidebar', 'right_sidebar')),
    ),
    array(
      'id'       => 'custom-sidebars',
      'type'     => 'multi_text',
      'title'    => esc_html__( 'Custom Sidebars', 'photosy' ),
      'subtitle' => esc_html__( 'Custom sidebars can be assigned to any page or post.', 'photosy' ),
      'desc'     => esc_html__( 'You can add as many custom sidebars as you need.', 'photosy' )
    ),
  ),
);



