<?php
/*
 * Title Wrapper Section
*/

$this->sections[] = array(
  'title' => esc_html__('Title Wrapper', 'photosy'),
  'desc' => esc_html__('Change the title wrapper section configuration.', 'photosy'),
  'icon' => 'fa fa-window-restore',
  'fields' => array(

    array(
      'id' => 'title-wrapper-enable',
      'type'   => 'switch',
      'title' => esc_html__('Enable Title Wrapper', 'photosy'),
      'subtitle'=> esc_html__('If on, this layout part will be displayed.', 'photosy'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'       =>'page-header-bg',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Background', 'photosy'),
      'subtitle' => esc_html__('Title wrapper background, color and other options.', 'photosy'),
    ),
        array(
      'id'       =>'bg-attachment',
      'type'     => 'select',
      'title'    => esc_html__( 'Background Attachment', 'photosy' ),
      'options'  => array(
        'scroll'  => esc_html__( 'Default', 'photosy' ),
        'fixed'   => esc_html__( 'Fixed', 'photosy' ),
        'inherit' => esc_html__( 'Inherit', 'photosy' ),
      ),
    ),
    array(
      'id'       =>'bg-size',
      'type'     => 'select',
      'title'    => esc_html__( 'Background Size', 'photosy' ),
      'options'  => array(
        'cover'   => esc_html__( 'Cover', 'photosy' ),
        'contain' => esc_html__( 'Contain', 'photosy' ),
        'initial' => esc_html__( 'Initial', 'photosy' ),
      ),
    ),
    array(
      'id'       =>'bg-position',
      'type'     => 'select',
      'title'    => esc_html__( 'Background Position', 'photosy' ),
      'options'  => array(
        'left top'      => esc_html__( 'Left Top', 'photosy' ),
        'left center'   => esc_html__( 'Left Center', 'photosy' ),
        'left bottom'   => esc_html__( 'Left Bottom', 'photosy' ),
        'right top'     => esc_html__( 'Right Top', 'photosy' ),
        'right center'  => esc_html__( 'Right Center', 'photosy' ),
        'right bottom'  => esc_html__( 'Right Bottom', 'photosy' ),
        'center top'    => esc_html__( 'Center Top', 'photosy' ),
        'center center' => esc_html__( 'Center Center', 'photosy' ),
        'center bottom' => esc_html__( 'Center Bottom', 'photosy' ),
      ),
    ),
    array(
      'id'    =>'title-wrapper-text-color',
      'type'  => 'color',
      'title' => esc_html__('Color', 'photosy'),
      'output' => array('color' => '.title-wrapper-header h1')
    ),
    array(
      'id' => 'title-wrapper-breadcrumb-enable',
      'type'   => 'switch',
      'title' => esc_html__('Enable Breadcrumb', 'photosy'),
      'subtitle'=> esc_html__('If on, this layout part will be displayed.', 'photosy'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
  ), // #fields
);
