<?php
/**
 * Archive Page
 *
 * @package photosy
 * @since 1.0
 */
get_header(); ?>


<div class="content">
  <div class="marg-lg-b100 marg-md-b60 marg-xs-b30"></div>
  <section class="section">
    <div class="container">
      <?php get_template_part('theme/inc/global/blog-before-content'); ?>
      <?php if(have_posts()): while (have_posts()) : the_post(); ?>
      <div <?php post_class('blog_item'); ?>>
        <?php photosy_blog_post_format(); ?>
        <div class="twit-desc">
          <span class="category"><?php echo get_the_category_list( esc_html__( ', ', 'photosy' ) );?></span>
          <h2 class="h2 title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a></h2>
            <div class="twit-author">
              <div class="post-txt post-meta">
                <span class="post-label"><?php echo esc_html__('Posted on', 'photosy'); ?></span> <span class="post-date"><?php echo get_the_date(get_option('date_format')); ?></span>
                  <span class="admin"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>"><span class="post-label"><?php echo esc_html__('by', 'photosy'); ?></span> <?php echo get_the_author(); ?></a></span>
            </div>
          </div>

          <div class="simple-text">
            <p><?php echo photosy_auto_post_excerpt(); ?></p>
          </div>
          <a href="<?php echo esc_url(get_the_permalink()); ?>" class="link-type-1"><?php echo esc_html__('Read More', 'photosy'); ?><i class="material-icons"><?php echo esc_html__('navigate_next', 'photosy'); ?></i></a>

        </div>
      </div>
      <?php endwhile; else:
        get_template_part('theme/inc/content/content-none');
      endif; ?>
      <?php photosy_paging_nav(false, 'default'); ?>
      <?php get_template_part('theme/inc/global/blog-after-content'); ?>
    </div>
  </section>
  <div class="marg-lg-b100 marg-md-b60 marg-xs-b30"></div>
</div>
<?php
get_footer();

