/*-------------------------------------------------------------------------------------------------------------------------------*/
/*This is main JS file that contains custom style rules used in this template*/
/*-------------------------------------------------------------------------------------------------------------------------------*/
/* Template Name: Photosy*/
/* Version: 1.0 Initial Release*/
/* Build Date: 22-07-2017*/
/* Author: themebubble*/
/* Website: http://moonart.net.ua/site/
/* Copyright: (C) 2017 */
/*-------------------------------------------------------------------------------------------------------------------------------*/
/* 01 - VARIABLES */
/*-------------------------------------------------------------------------------------------------------------------------------*/

jQuery(function($) {
  "use strict";

  /*============================*/
  /* 01 - VARIABLES */
  /*============================*/

  var swipers = [],
    winW, winH, winScr, _isresponsive, $container, smPoint = 768,
    mdPoint = 992,
    lgPoint = 1200,
    addPoint = 1600,
    _ismobile = navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i);

  function pageCalculations() {
    winW = $(window).width();
    winH = $(window).height();
  }

  $.exists = function(selector) {
    return ($(selector).length > 0);
  }
  pageCalculations();

  if (_ismobile) { $('body').addClass('mobile'); }

  /*============================*/
  /* 02 - WINDOW LOAD */
  /*============================*/

  $(window).on('load', function() {
    $container.isotope({
      itemSelector: '.isotope-item',
      masonry: {
        gutter: 0,
        columnWidth: '.grid-sizer'
      }
    });
    izotopInit();
    $('.loader').hide(200);

  });

  $container = $('.isotope-content');

  /*============================*/
  /* 03 - SWIPER SLIDER */
  /*============================*/

  function updateSlidesPerView(swiperContainer) {
    if (winW >= addPoint) return parseInt(swiperContainer.attr('data-add-slides'), 10);
    else if (winW >= lgPoint) return parseInt(swiperContainer.attr('data-lg-slides'), 10);
    else if (winW >= mdPoint) return parseInt(swiperContainer.attr('data-md-slides'), 10);
    else if (winW >= smPoint) return parseInt(swiperContainer.attr('data-sm-slides'), 10);
    else return parseInt(swiperContainer.attr('data-xs-slides'), 10);
  }

  function resizeCall() {
    pageCalculations();

    $('.swiper-container.initialized[data-slides-per-view="responsive"]').each(function() {
      var thisSwiper = swipers['swiper-' + $(this).attr('id')],
        $t = $(this),
        slidesPerViewVar = updateSlidesPerView($t),
        centerVar = thisSwiper.params.centeredSlides;
      thisSwiper.params.slidesPerView = slidesPerViewVar;
      thisSwiper.reInit();
      if (!centerVar) {
        var paginationSpan = $t.closest('.poind-closest').find('.pagination span');
        var paginationSlice = paginationSpan.hide().slice(0, (paginationSpan.length + 1 - slidesPerViewVar));
        if (paginationSlice.length <= 1 || slidesPerViewVar >= $t.find('.swiper-slide').length) $t.addClass('pagination-hidden');
        else $t.removeClass('pagination-hidden');
        paginationSlice.show();
      }
    });
  }
  if (!_ismobile) {
    $(window).on('resize', function() {
      resizeCall();
    });
  } else {
    window.addEventListener("orientationchange", function() {
      resizeCall();
    }, false);
  }

  $(document).on('ready', function() {
    izotopInit();
    qtyStepper();
    lightGallery();

    function enableFullWidth() {
      $(window).bind('load resize', function() {

      }).trigger('resize');
    }
    enableFullWidth();

    initSwiper();

    primaryMenuSetup();

  });

  function qtyStepper() {

    if (typeof $.fn.number != 'function') {
      return;
    }

    if ($('input[type=number]').length) {
      console.log('sfsdf');
      $('input[type=number]').number();
    };
  }

  function initSwiper() {
    var initIterator = 0;
    $('.swiper-container').each(function() {
      var $t = $(this);

      var index = 'swiper-unique-id-' + initIterator;

      $t.addClass('swiper-' + index + ' initialized').attr('id', index);
      $t.closest('.poind-closest').find('.pagination').addClass('pagination-' + index);

      var autoPlayVar = parseInt($t.attr('data-autoplay'), 10);

      var slidesPerViewVar = $t.attr('data-slides-per-view');
      if (slidesPerViewVar == 'responsive') {
        slidesPerViewVar = updateSlidesPerView($t);
      } else slidesPerViewVar = parseInt(slidesPerViewVar, 10);

      var loopVar     = parseInt($t.attr('data-loop'), 10);
      var speedVar    = parseInt($t.attr('data-speed'), 10);
      var centerVar   = parseInt($t.attr('data-center'), 10);
      var mouseScroll = $t.data('mouse-scroll');
      swipers['swiper-' + index] = new Swiper('.swiper-' + index, {
        speed: speedVar,
        pagination: '.pagination-' + index,
        loop: loopVar,
        paginationClickable: true,
        autoplay: autoPlayVar,
        slidesPerView: slidesPerViewVar,
        keyboardControl: true,
        calculateHeight: true,
        mousewheelControl: mouseScroll,
        simulateTouch: true,
        roundLengths: true,
        initialSlide: ($t.is('[data-ini]')) ? parseInt($t.data('ini'), 10) : 0,
        centeredSlides: centerVar,
        onAfterResize: function(swiper) {
          var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex;
          $t.parent().find('.slider-number span').text(activeIndex + 1);
        },
        onInit: function(swiper) {
          var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex;
          var sliderLen = $t.find('.swiper-slide').length;
          if (sliderLen <= 9) sliderLen = '0' + sliderLen;
          $t.find('.first-slide').addClass('active');
          if (loopVar === 1) {
            $t.parent().find('.slider-number b').text(sliderLen - 2);
          } else {
            $t.parent().find('.slider-number b').text(sliderLen);
          }
          $t.parent().find('.slider-number span').text(activeIndex + 1);
        },
        onSlideChangeEnd: function(swiper) {
          var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex,
            qVal = $t.find('.swiper-slide-active').attr('data-val'),
            srcNext = $t.find('.swiper-slide-active').next().find('img').attr('src'),
            srcPrev = $t.find('.swiper-slide-active').prev().find('img').attr('src');
          $('.swiper-arrow-left').find('.preiew-img').attr('style', 'background-image:url(' + srcPrev + ')');
          $('.swiper-arrow-right').find('.preiew-img').attr('style', 'background-image:url(' + srcNext + ')');
          $t.find('.swiper-slide[data-val="' + qVal + '"]').addClass('active');
          if (!$t.hasClass('.thumbnails')) {
            $t.parent().find('.slider-number span').text(activeIndex + 1);
          }
          //slider type-4
          if ($t.hasClass('custom-pagination-slider')) {
            var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex;
            $t.closest('.custom-pagination-wrapper').find('.custom-pagination li').removeClass('active').eq(activeIndex).addClass('active');
          }
        },
        onSlideChangeStart: function(swiper) {
          $t.find('.swiper-slide.active').removeClass('active');
          if ($t.hasClass('thumbnails-preview')) {
            var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex;
            swipers['swiper-' + $t.siblings('.swiper-container').attr('id')].swipeTo(activeIndex);
            $t.siblings('.swiper-container').find('.current').removeClass('current');
            $t.siblings('.swiper-container').find('.swiper-slide[data-val="' + activeIndex + '"]').addClass('current');
            $t.siblings('.swiper-container').find('.swiper-slide.thumbnails[data-val="' + activeIndex + '"]').addClass('active');
          }

        },
        onSlideClick: function(swiper) {
          var activeIndex = (loopVar === 1) ? swiper.activeLoopIndex : swiper.activeIndex;
          if ($t.hasClass('thumbnails')) {
            swipers['swiper-' + $t.siblings('.swiper-container').attr('id')].swipeTo(swiper.clickedSlideIndex);
            $t.find('.swiper-slide[data-val="' + activeIndex + '"]').addClass('active');
          }
        }
      });
      swipers['swiper-' + index].reInit();
      if ($t.attr('data-slides-per-view') == 'responsive') {
        var paginationSpan = $t.closest('.poind-closest').find('.pagination span');
        var paginationSlice = paginationSpan.hide().slice(0, (paginationSpan.length + 1 - slidesPerViewVar));
        if (paginationSlice.length <= 1 || slidesPerViewVar >= $t.find('.swiper-slide').length) $t.addClass('pagination-hidden');
        else $t.removeClass('pagination-hidden');
        paginationSlice.show();
      }
      initIterator++;
    });

  }

  $('.swiper-arrow-left').on('click', function() {
    swipers['swiper-' + $(this).closest('.arrow-closest').find('.swiper-container').attr('id')].swipePrev();
  });
  $('.swiper-arrow-right').on('click', function() {
    swipers['swiper-' + $(this).closest('.arrow-closest').find('.swiper-container').attr('id')].swipeNext();
  });

  //slider type-4
  $('.custom-pagination li').on('click', function() {
    var $t = $(this),
      number = $t.parent().find('li').index($t);
    swipers['swiper-' + $t.closest('.custom-pagination-wrapper').find('.swiper-container').attr('id')].swipeTo(number);

  });

  /*============================*/
  /* 04 - MOBILE MENU */
  /*============================*/

  $(document).on('click', '.burger-menu', function() {
    $('.nav-menu').toggleClass('slide');
    $('body').toggleClass('fix');
    $(this).toggleClass('active');
    return false;
  });

  /*============================*/
  /* 05 - WINDOW SCROLL */
  /*============================*/

  $(window).on('scroll', function() {

    if ($('.time-line').length) {
      $('.time-line').not('.animated').each(function() {
        if ($(window).scrollTop() >= $(this).offset().top - $(window).height() * 0.5) { $(this).addClass('animated').find('.timer').countTo(); }
      });
    }
    if ($('.start-line').length) {
      if ($(window).scrollTop() >= $('.start-line').offset().top - $('.start-line').height()) {
        $('.skill-line div').each(function() {
          var objel = $(this);
          var pb_width = objel.attr('data-width-pb');
          objel.css({ 'width': pb_width });
        });
      }
    }
  });

  /*============================*/
  /* 06 - IZOTOPE */
  /*============================*/

  function izotopInit() {
    if ($('.izotope-container').length) {
      var $container = $('.izotope-container');
      $container.isotope({
        itemSelector: '.item',
        layoutMode: 'masonry',
        masonry: {
          columnWidth: '.grid-sizer'
        }
      });
      /* Active Class of Portfolio*/
      $('.isotope-filter li').on('click', function(event) {
        $(this).siblings('.active').removeClass('active');
        $(this).addClass('active');
        event.preventDefault();
      });

      /*=== Portfolio filtering ===*/
      $('.isotope-filter').on('click', 'a', function() {
        var filterElement = $(this).attr('data-filter');
        $(this).parents(".isotope-filter").next().isotope({
          filter: filterElement
        });
      });
      // $('.filter-mob-list').on('click', 'li', function() {
      //   $('.izotope-container').each(function() {
      //     $(this).find('.item').removeClass('animated');
      //   });
      //   $('.filter-mob-list li').removeClass('active');
      //   $(this).addClass('active');
      //   var filterValue = $(this).attr('data-filter');
      //   $container.isotope({ filter: filterValue });
      // });
    }
  }

  enableAjaxLoadMore();

  function enableAjaxLoadMore() {
    initAjaxLoadMore();
  }

  // Initializes Ajax Load More
  function initAjaxLoadMore() {

    portfolioAjaxify({
      button: '#portfolio-load-more',
      postWrapper: '.izotope-container',
      postItem: '.item'
    });
  }

  function portfolioAjaxify(args) {
    var ajaxButton = args.button,
      postWrapper = args.postWrapper,
      postItem = args.postItem;

    $(ajaxButton).on('click', function(e) {

      e.preventDefault();

      // Variables
      var element = $(this),
        target = element.attr('href'),
        loadingTextOrg = element.html(),
        loadingText = element.data('loading-text'),
        $ajaxButton = $(ajaxButton),
        $postWrapper = $(postWrapper);

      // Loading Text
      if (loadingText == 'spinner') element.addClass('spinner');
      else element.html(loadingText);

      // Run AJAX
      $.ajax({
        type: 'GET',
        url: target,
        success: function(data, textStatus, XMLHttpRequest) {

          // Store New Data
          var newPostItems = $(data).find(postWrapper + ' ' + postItem),
            nextPageUrl = $(data).find(ajaxButton).attr('href');

          newPostItems.imagesLoaded(function() {
            $postWrapper.append(newPostItems).isotope('appended', newPostItems);
            $postWrapper.isotope('layout');

          });

          // Trigger Resize To Fix Responsive Issues
          $(window).trigger('resize');

        },
        complete: function() {
          element.removeClass('spinner');
          $('.ajax-load-more').addClass('pagination-executed');
        },
        error: function(MLHttpRequest, textStatus, errorThrown) {
          alert(errorThrown);
        }
      });

    });
  }

  /*============================*/
  /* 07 - CLICK */
  /*============================*/

  if ($(window).width() <= 992) {
    $(document).on('click', '.drop-link', function() {
      $('.drop-link').parent().removeClass('active');
      $(this).parent().addClass('active');
      $(this).parent().find('> .drop-menu').slideToggle(300);
    });

    $(document).on('click', '.drop-link-next', function() {
      $(this).toggleClass('active');
      $(this).parent().find('.drop-menu-next').slideToggle(300);
    });
  } else {
    $(document).on('mouseenter', '.style-1 .drop-link', function() {
      $('.style-1 .nav-list li').removeClass('active');
      $(this).parent().addClass('active');
      $(this).parent().find('> .drop-menu').stop().stop().slideDown(300);
    });

    $('.style-1 .nav-list li').on('mouseleave', function() {
      $(this).removeClass('active');
      $(this).stop(true, true).find('> .drop-menu').stop().stop().slideUp(420);
    });

    $(document).on('mouseenter', '.style-1 .drop-link-next', function() {
      $(this).addClass('active');
      $(this).parent().find('.drop-menu-next').stop().stop().slideDown(300);
    });

  }

  if ($(window).width() <= 992) {
    $(document).on('click', '.drop-filter', function() {
      $(this).parent().find('.filter-mob-list').slideToggle(300);
    });

    $(document).on('click', '.filter-mob-list li', function() {
      $(this).parent().slideUp(300);
      $('.drop-filter span').text($(this).text());
    });
  }

  /*============================*/
  /* 08 - VIDEO OPEN */
  /*============================*/

  $(function() {
    $(document).on('click', '.play-button', function() {
      var buttonVal = $('.play-button').index(this);
      var vid = $(this).closest('.video-item').find('.bgvid').eq(buttonVal);
      $('.video-item').addClass('act');
      vid.get(0).play();
      return false;
    });

    $('.close-video').on('click', function() {
      var closeVal = $('.close-video').index(this);
      var pauseVid = $(this).closest('.video-item').find('.bgvid').eq(closeVal);
      $('.video-item').removeClass('act');
      pauseVid.get(0).pause();
    });
  });

  $('.close-popup').on('click', function() {
    $('.success').removeClass('active');
  });

  function lightGallery() {
    var gridblock_lightbox = $('.lightgallery');
    gridblock_lightbox.each(function(){
      $(this).lightGallery({
        mode: 'lg-slide',
        selector: '.lightbox-item',
        addClass: 'custom-lightbox',
        loop: false,
        thumbnail: false,
        pager: false,
        speed: 400,
        scale: 1,
        keypress: true,
      });

    });
  }


  $(function() {
    if ($('.section-scroll').length && !_ismobile) {
      $.scrollify({
        section: ".section-scroll",
        setHeights: false,
        scrollSpeed: 800,
        offset: -100
      });
    }


    if ($('.lazy').length) {
      $('img.lazy').lazyload();
    }


  });

  if ($('.top-baner.video-bg').length) {

    if (_ismobile) {
      $('.player-mb').YTPlayer();
    } else {
      $('.player').YTPlayer();
    }
  }

  /*============================*/
  /* 10 - PRIMARY MENU */
  /*============================*/
  function primaryMenuSetup() {

    $('.header-wrap nav').addClass('ex-nav');
    $(".ex-nav").before("<div class='m-menu-btn'><span></span></div>");
    $(".m-menu-btn").on('click', function() {
      $(this).toggleClass("m-menu-btn-ext");
    });
    $('.m-menu .drop-link').on('click', function() {
      $('.active .drop-link').siblings('.drop-menu').slideUp();
    });
    // $('.menu-item-has-children > a ').removeAttr("href");
    $('.ex-nav').find('.menu-item-has-children').append('<span class="mobiletoggle"></span>');
    $('.mobiletoggle').on('click', function() {
      $(this).siblings('ul').slideToggle();
    })

  }

  $(window).on('resize', function() {

    if ($(window).width() <= 991) {
      $('.primary-nav').addClass('m-menu').removeClass('primary-nav');
    } else {
      $('.m-menu').addClass('primary-nav').removeClass('m-menu');
    }

  });

  /*==============================*/
  /* 11 - VIDEO POPUP */
  /*==============================*/
  $(document).on('click', '.video-open', function(e) {
    e.preventDefault();
    var video = $(this).attr('href');
    $('.video-popup-container iframe').attr('src', video);
    $('.video-popup').addClass('active');

  });
  $('.video-popup-close, .video-popup-layer').on('click', function(e) {
    $('.video-popup').removeClass('active');
    $('html').removeClass('overflow-hidden');
    $('.video-popup-container iframe').attr('src', 'about:blank')
    e.preventDefault();
  });

  if($('.tb-multi__scroll').length > 0) {
    $(".scroll-control-btn").append('<div id="scrollbuttons" ><span class="sb_up"></span><span class="sb_down"></span></div>');

    var farbottom = false;
    var fartop = true;
    var footervisible = false;

    $.fn.multiscroll.myActivateNavDots = function(name, sectionIndex) {
      $('#multiscroll-nav').find('.active').removeClass('active');
      if (name) {
        $('#multiscroll-nav').find('a[href="#' + name + '"]').addClass('active');
      } else {
        $('#multiscroll-nav').find('li').eq(sectionIndex).find('a').addClass('active');
      }
    }

    $.fn.multiscroll.moveLineDown = function() {

      $('.ms-left div[id^="left"]').each(function() {
        if (($(this).offset().top >= ($(window).height() * 0.2)) && ($(this).offset().top <= ($(window).height() * 0.8))) {
          $.fn.multiscroll.myActivateNavDots($(this).data('anchor'), $(this).index());
          return false;
        }
      });

      var futureTop = $(".ms-left").position().top - ($('.ms-left').height() * 0.1);
      var bottomLineMSLeft = (-1 * ($('.ms-left').height() * ($('.ms-left .ms-section').length - 1)));

      if (futureTop < bottomLineMSLeft) {
        if (farbottom) {
          $("html, body").stop().animate({ scrollTop: $("#g_footer").offset().top }, 500);
          footervisible = true;
        } else {
          $.fn.multiscroll.moveTo($('.ms-left .ms-section').length);
          fartop = false;
          farbottom = true;
        }
      } else {
        farbottom = false;
        fartop = false;
        $('.ms-left').stop().animate({ "top": "-=" + ($('.ms-left').height() * 0.1) }, 100);
        $('.ms-right').stop().animate({ "top": "+=" + ($('.ms-left').height() * 0.1) }, 100, function() {});
      }

    }

    $.fn.multiscroll.moveLineUp = function() {
      if (footervisible) {
        footervisible = false;
        $("html, body").stop().animate({ scrollTop: "0px" });
      } else {
        farbottom = false;
        $('.ms-left div[id^="left"]').each(function() {
          if (($(this).offset().top >= ($(window).height() * 0.2)) && ($(this).offset().top <= ($(window).height() * 0.8))) {
            $.fn.multiscroll.myActivateNavDots($(this).data('anchor'), $(this).index());
            return false;
          }
        });
        var futureTop = $('.ms-left').position().top + ($('.ms-left').height() * 0.1);
        if (futureTop <= 0) {
          farbottom = false;
          fartop = false;
          $('.ms-left').stop().animate({ "top": "+=" + ($('.ms-left').height() * 0.1) }, 200);
          $('.ms-right').stop().animate({ "top": "-=" + ($('.ms-left').height() * 0.1) }, 200, function() {});
        } else {
          farbottom = false;
          fartop = true;
          $.fn.multiscroll.moveTo(1);
        }
      }
    }

    $(document).ready(function() {
      multiScroll();
      var n = $(".ms-left > div").length;
      if (n < 10) {
        $(".total-slide").text("0" + n);
      } else {
        $(".total-slide").text(n);
      }
    });

    function multiScroll() {
      if ($('.scroll-slider-content').length > 0) {
        var _anchor_array = [];
        $('body').addClass('ms-multi-scroll');
        var _get_anchor_count = $('.scroll-slider-content').data('anchor-count');
        for (var _i = 1; _i <= _get_anchor_count; _i++) {
          _anchor_array.push('anchor' + _i);
        }
      }

      $('#scroll-slider').multiscroll({
        responsiveWidth: 1000,
        responsiveExpand: true,
        keyboardScrolling: false,
        'easing': 'easeInOutQuad',
        'sectionsColor': ['#fff', '#fff', '#fff', '#fff'],
        'anchors': _anchor_array,
        'menu': '#scroll-count',
        'navigation': true,
        afterResponsive: function() {
          $(".ms-left").css("position", "relative");
          $(".ms-left .ms-section, .ms-right .ms-section").css("height", ($(window).height() / 2) + "px");
          $(".ms-tableCell").css("height", (($(window).height() / 2) + "px"));
        }

      });

      $(".sb_down").on('click', function() {
        $.fn.multiscroll.moveSectionDown();
      });
      $(".sb_up").on('click', function() {
        $.fn.multiscroll.moveSectionUp();
      });

      // For keydown function
      $(document).on("keydown", function(e) {
        switch (e.keyCode) {
          case 40:
            $.fn.multiscroll.moveLineDown();
            break;
          case 38:
            $.fn.multiscroll.moveLineUp();
            break;
          case 33:
            $.fn.multiscroll.moveSectionUp();
            break;
          case 34:
            $.fn.multiscroll.moveSectionDown();
            break;
        }
      });
    }
  }
});
