<?php
/**
 * Blog Default
 *
 * @package photosy
 * @since 1.0
 */
?>
<?php
global $post;
$author_avatar = photosy_get_opt('single-post-author-avatar');
$author_name   = photosy_get_opt('single-post-author-name');
$post_date     = photosy_get_opt('single-post-post-date');
$post_tags     = photosy_get_opt('single-post-tags');
$post_cats     = photosy_get_opt('single-post-category');
$img_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full');
if(isset($img_src[0]) && !empty($img_src)):
?>

<div class="top-baner smal-size top-featured-image">
  <div class="block-bg top-image">
    <div class="bg-wrap">
      <div class="bg" style="background-image:url(<?php echo esc_url($img_src[0]); ?>); background-size:cover;"></div>
      <div class="white-mobile-layer"></div>
    </div>
  </div>
</div>
<?php endif; ?>

<div class="content">
  <section class="section">
    <div class="container">


      <?php get_template_part('theme/inc/global/blog-before-content'); ?>

      <?php while ( have_posts() ) : the_post(); ?>
        <article <?php post_class('blog-single-post'); ?>>
          <div class="twit-desc border-bottom post-title">
           <h2 class="h1 title"><?php the_title(); ?></h2>
           <div class="twit-author">
            <?php if($author_avatar || !class_exists('ReduxFramework')): ?>
              <?php echo get_avatar(get_the_author_meta( 'ID' ),45); ?>
            <?php endif; ?>
              <div class="post-txt">
                <?php if($author_name || !class_exists('ReduxFramework')): ?>
                  <h5 class="h6"><a href="#"><?php echo get_the_author(); ?></a></h5>
                <?php endif; ?>
                <p class="post-meta">
                <?php if($post_cats || !class_exists('ReduxFramework')): ?>
                  <span class="post-in"><?php echo esc_html__('In', 'photosy'); ?></span> <?php echo get_the_category_list( esc_html__( ', ', 'photosy' ) );?>
                <?php endif; ?> 
                <?php if($post_date || !class_exists('ReduxFramework')): ?>
                  <span class="post-label"><?php echo esc_html__('Posted', 'photosy'); ?></span> <span class="post-date"><?php echo get_the_date(get_option('date_format')); ?></span>
                <?php endif; ?>

                </p>
              </div>
           </div>
          </div>

          <?php photosy_social_share(); ?>
          <?php the_content(); ?>

          <?php
            wp_link_pages( array(
              'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'photosy' ),
              'after'       => '</div>',
              'link_before' => '<span>',
              'link_after'  => '</span>',
            ) );
          ?>

        </article>
        <?php if($post_tags || !class_exists('ReduxFramework')): ?>
          <div class="tag-link border-bottom"><?php the_tags( '', '', '<br />' ); ?></div>
        <?php endif; ?>
      <?php endwhile; ?>

      <?php
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
      ?>

      <?php get_template_part('theme/inc/global/blog-after-content'); ?>


    </div>
    <?php get_template_part('theme/inc/blog-single/pagination');  ?>
  </section>
  <div class="marg-lg-b100 marg-md-b60 marg-xs-b50"></div>
</div>
