<?php
/**
 * Footer Template file
 *
 * @package photosy
 * @since 1.0
 */
?>

<div class="main-footer common-footer-style site-footer-2">
  <div class="container">
    <div class="top-footer">
      <div class="footer-logo"><?php photosy_logo('footer-logo', get_template_directory_uri().'/assets/img/logo.png', 'footer-logo'); ?></div>
      <div class="footer-newsletter">
        <h2><?php echo photosy_get_opt('footer-newsletter-heading'); ?></h2>
        <p><?php echo photosy_get_opt('footer-newsletter-content'); ?></p>
        <form method="post" class="newsletter" action="<?php echo esc_url(home_url('/')); ?>?na=s" onsubmit="return newsletter_check(this)">
          <input type="email" name="ne" required="" placeholder="<?php echo esc_attr__('Enter your email address', 'photosy'); ?>">
          <button type="submit" class="newsletter-submit"><i class="fa fa-angle-right"></i></button>
        </form>
      </div>
    </div>
    <!-- .footer-top -->
    <div class="footer-separator"></div>
    <div class="footer-widget-wrap">
      <div class="row">
        <?php photosy_footer_columns(); ?>
      </div>
      <!-- .row -->
    </div>
  </div>
  <!-- .container -->
  <footer>
    <div class="container">
      <div class="footer-separator"></div>
      <div class="copyright">
        <span><?php echo wp_kses_data(photosy_get_opt('footer-copyright-text')); ?></span>
        <div class="footer-social-btn">
          <?php photosy_social_links('%s', photosy_get_opt('footer-social-icons-category')); ?>
        </div>
      </div>
    </div>
  </footer>
</div>