<?php
/*
* Visual Composre Map File
*/
function photosy_get_current_post_type() {

  $type = false;

  if( isset( $_GET['post'] ) ) {
    $id = $_GET['post'];
    $post = get_post( $id );

    if( is_object( $post ) && $post->post_type == 'portfolio' ) {
      $type = true;
    }

  } elseif ( isset( $_GET['post_type'] ) && $_GET['post_type'] == 'portfolio' ) {
    $type = true;
  }

  return $type;

}

include_once( PHOTOSY_ROOT .'/composer/helpers.php' );
include_once( PHOTOSY_ROOT .'/composer/params.php' );

if ( ! function_exists( 'is_plugin_active' ) ) {
  include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Require plugin.php to use is_plugin_active() below
}

$vc_column_width_list = array(
  '1 column - 1/12'     => '1/12',
  '2 columns - 1/6'     => '1/6',
  '3 columns - 1/4'     => '1/4',
  '4 columns - 1/3'     => '1/3',
  '5 columns - 5/12'    => '5/12',
  '6 columns - 1/2'     => '1/2',
  '7 columns - 7/12'    => '7/12',
  '8 columns - 2/3'     => '2/3',
  '9 columns - 3/4'     => '3/4',
  '10 columns - 5/6'    => '5/6',
  '11 columns - 11/12'  => '11/12',
  '12 columns - 1/1'    => '1/1'
);

$vc_map_extra_id = array(
  'type'        => 'textfield',
  'heading'     => 'Extra ID',
  'param_name'  => 'id',
  'group'       => 'Extras'
);

$vc_map_extra_class = array(
  'type'        => 'textfield',
  'heading'     => 'Extra Class',
  'param_name'  => 'class',
  'group'       => 'Extras'
);

// ==========================================================================================
// IMAGE BLOCK
// ==========================================================================================
vc_map( array(
  'name'          => 'Image Block',
  'base'          => 'photosy_image_block',
  'category'    => 'Photosy Elements',
  'icon'          => 'fa fa-image',
  'description'   => 'Add image.',
  'params'        => array(
    array(
      'type'        => 'attach_image',
      'heading'     => 'Image',
      'admin_label' => true,
      'param_name'  => 'image',
    ),
    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );


if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) ) {

  global $wpdb;

  $db_cf7froms  = $wpdb->get_results("SELECT ID, post_title FROM $wpdb->posts WHERE post_type = 'wpcf7_contact_form'");
  $cf7_forms    = array() + array('Select Form' => '');

  if ( $db_cf7froms ) {

    foreach ( $db_cf7froms as $cform ) {
      $cf7_forms[$cform->post_title] = $cform->ID;
    }

  } else {
    $cf7_forms['No contact forms found'] = 0;
  }

  vc_map( array(
    'name'            => 'Contact Form',
    'base'            => 'photosy_contact_form',
    'category'    => 'Photosy Elements',
    'icon'            => 'fa fa-envelope ',
    'description'     => 'Contact Form 7',
    'params'          => array(
      array(
        'type'        => 'dropdown',
        'heading'     => 'Style',
        'param_name'  => 'style',
        'value'       => array(
          'Style 1'   => 'style1',
          'Style 2'   => 'style2',
        ),
      ),
      array(
        'type'        => 'textfield',
        'heading'     => 'Title',
        'holder'      => 'h2',
        'param_name'  => 'title',
      ),
      array(
        'type'        => 'attach_image',
        'heading'     => 'Image',
        'param_name'  => 'bg_image',
      ),
      array(
        'type'        => 'dropdown',
        'heading'     => 'Contact Form',
        'param_name'  => 'form_id',
        'value'       => $cf7_forms,
        'admin_label' => true,
        'description' => 'Choose previously created contact form from the drop down list.',
      ),
      $vc_map_extra_id,
      $vc_map_extra_class,
    )
  ) );


}

vc_map( array(
  'name'        => 'Blog',
  'base'        => 'photosy_blog',
  'category'    => 'Photosy Elements',
  'icon'        => 'fa fa-comments',
  'description' => 'Create a blog.',
  'params'          => array(
    array(
      'type'        => 'vc_efa_chosen',
      'heading'     => 'Select Categories',
      'param_name'  => 'cats',
      'placeholder' => 'Select category',
      'value'       => photosy_element_values( 'categories', array(
        'sort_order'  => 'ASC',
        'taxonomy'    => 'category',
        'hide_empty'  => false,
      ) ),
      'std'         => '',
      'description' => 'You can choose specific categories for blog, default is all categories.',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Exclude Post',
      'param_name'  => 'exclude_posts',
      'description' => 'Add Post ID to exclude for e.g 345,268'
    ),
    array(
      'type'        => 'dropdown',
      'admin_label' => true,
      'heading'     => 'Order by',
      'param_name'  => 'orderby',
      'value'       => array(
        'ID'            => 'ID',
        'Author'        => 'author',
        'Post Title'    => 'title',
        'Date'          => 'date',
        'Last Modified' => 'modified',
        'Random Order'  => 'rand',
        'Comment Count' => 'comment_count',
        'Menu Order'    => 'menu_order',
      ),
    ),
    // Extras
    $vc_map_extra_id,
    $vc_map_extra_class,
  ),
) );

vc_map( array(
  'name'          => 'Section Heading',
  'base'          => 'photosy_section_heading',
  'category'      => 'Photosy Elements',
  'icon'          => 'fa fa-text-width',
  'description'   => 'Add section heading.',
  'params'        => array(
    array(
      'type'        => 'textfield',
      'heading'     => 'Small Heading',
      'holder'      => 'h4',
      'param_name'  => 'small_heading',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Big Heading',
      'holder'      => 'h1',
      'param_name'  => 'big_heading',
    ),
    array(
      'type'        => 'colorpicker',
      'heading'     => 'Color',
      'param_name'  => 'small_heading_color',
      'admin_label' => true,
      'group'       => 'Small Heading Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Font Size',
      'admin_label' => true,
      'param_name'  => 'small_heading_font_size',
      'group'       => 'Small Heading Properties'
    ),

    array(
      'type'        => 'colorpicker',
      'heading'     => 'Color',
      'param_name'  => 'big_heading_color',
      'admin_label' => true,
      'group'       => 'Big Heading Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Font Size',
      'admin_label' => true,
      'param_name'  => 'big_heading_font_size',
      'group'       => 'Big Heading Properties'
    ),
    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );


// ==========================================================================================
// SPECIAL TEXT
// ==========================================================================================
vc_map( array(
  'name'        => 'Special Text',
  'category'    => 'Photosy Elements',
  'base'        => 'photosy_special_text',
  'icon'        => 'fa fa-briefcase',
  'description' => 'Create special text.',
  'params'        => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Font',
      'param_name'  => 'font',
      'admin_label' => true,
      'value'       => array_flip(photosy_get_font_choices(true)),
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Tag Name',
      'param_name'  => 'tag',
      'value'       => array(
        'div' => 'div',
        'H1'  => 'h1',
        'H2'  => 'h2',
        'H3'  => 'h3',
        'H4'  => 'h4',
        'H5'  => 'h5',
        'H6'  => 'h6',
      ),
    ),
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'param_name'  => 'content',
      'holder'      => 'div',
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Align',
      'param_name'  => 'align',
      'value'       => array(
        'Select Align' => '',
        'Left'   => 'left',
        'Center' => 'center',
        'Right'  => 'right',
      ),
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Font Size',
      'param_name'  => 'font_size',
      'description' => 'Enter the size in pixel e.g 45px',
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Line Height',
      'param_name'  => 'line_height',
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Letter Spacing',
      'param_name'  => 'letter_spacing',
      'description' => 'Enter the size in pixel e.g 1px',
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'colorpicker',
      'heading'     => 'Font Color',
      'param_name'  => 'font_color',
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Font Weight',
      'param_name'  => 'font_weight',
      'value'       => array(
        'Light'      => '300',
        'Normal'     => '400',
        'Bold'       => '600',
        'Bold'       => '700',
        'Extra Bold' => '800',
      ),
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Font Style',
      'param_name'  => 'font_style',
      'value'       => array(
        'Normal' => 'normal',
        'Italic' => 'italic',
      ),
      'group'       => 'Custom Font Properties'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Text Transform',
      'param_name'  => 'transform',
      'value'       => array(
        'Select Transform' => '',
        'Uppercase'        => 'uppercase',
        'Lowercase'        => 'lowercase',
      ),
      'group'       => 'Custom Font Properties'
    ),

    array(
      'type'        => 'textfield',
      'heading'     => 'Margin Top',
      'param_name'  => 'margin_top',
      'description' => 'Enter the size in pixel e.g 45px',
      'group'       => 'Custom Margin Properties'
    ),

    array(
      'type'        => 'textfield',
      'heading'     => 'Margin Bottom',
      'param_name'  => 'margin_bottom',
      'description' => 'Enter the size in pixel e.g 45px',
      'group'       => 'Custom Margin Properties'
    ),
    // Extras
    $vc_map_extra_id,
    $vc_map_extra_class,

  )
) );

vc_map( array(
  'name'          => 'Buttons',
  'base'          => 'photosy_button',
  'category'      => 'Photosy Elements',
  'icon'          => 'fa fa-square',
  'description'   => 'Create a classy button.',
  'params'        => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Align',
      'param_name'  => 'align',
      'value'       => array(
        'Select Align' => '',
        'Left'   => 'left',
        'Center' => 'center',
        'Right'  => 'right',
      ),
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Button Text',
      'param_name'  => 'btn_text',
      'admin_label' => true,
    ),
    array(
      'type'        => 'vc_link',
      'heading'     => 'Button Link',
      'param_name'  => 'btn_link',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Font Size',
      'param_name'  => 'font_size',
      'admin_label' => true,
      'description' => 'for e.g 14px',
      'group'       => 'Custom Properties'
    ),
    array(
      'type'             => 'textfield',
      'heading'          => 'Padding Top',
      'admin_label'      => true,
      'edit_field_class' => 'vc_col-md-3 vc_column',
      'param_name'       => 'padding_top',
      'description'      => 'for e.g 14px',
      'group'            => 'Custom Properties'
    ),
    array(
      'type'             => 'textfield',
      'heading'          => 'Padding Left',
      'admin_label'      => true,
      'edit_field_class' => 'vc_col-md-3 vc_column',
      'param_name'       => 'padding_left',
      'description'      => 'for e.g 14px',
      'group'            => 'Custom Properties'
    ),    
    array(
      'type'             => 'textfield',
      'heading'          => 'Padding Bottom',
      'admin_label'      => true,
      'edit_field_class' => 'vc_col-md-3 vc_column',
      'param_name'       => 'padding_bottom',
      'description'      => 'for e.g 14px',
      'group'            => 'Custom Properties'
    ),
    array(
      'type'             => 'textfield',
      'heading'          => 'Padding Right',
      'edit_field_class' => 'vc_col-md-3 vc_column',
      'admin_label'      => true,
      'param_name'       => 'padding_right',
      'description'      => 'for e.g 14px',
      'group'            => 'Custom Properties'
    ),

    // Extras
    $vc_map_extra_id,
    $vc_map_extra_class,

  )
) );

vc_map( array(
  'name'        => 'Portfolio Masonry',
  'base'        => 'photosy_portfolio_masonry',
  'icon'        => 'fa fa-briefcase',
  'category'    => 'Photosy Elements',
  'description' => 'Create a portfolio masonry',
  'params'          => array(
    array(
      'type'       => 'dropdown',
      'heading'    => 'Column',
      'param_name' => 'column',
      'value'      => array(
        '2' => '2',
        '3' => '3',
        '4' => '4',
      ),
      'admin_label' => true
    ),
    array(
      'type'       => 'dropdown',
      'heading'    => 'Filter',
      'param_name' => 'show_filter',
      'value'      => array(
        'No'  => 'no',
        'Yes' => 'yes',
      ),
      'admin_label' => true
    ),
    array(
      'type'       => 'dropdown',
      'heading'    => 'Space Between Column',
      'param_name' => 'space_between_columns',
      'value'      => array(
        'Yes' => 'yes',
        'No'  => 'no',
      ),
      'admin_label' => true
    ),
    array(
      'type'        => 'vc_efa_chosen',
      'heading'     => 'Categories',
      'description' => 'Show portfolio items only from these categories',
      'param_name'  => 'cats',
      'placeholder' => 'Categories',
      'value'       => photosy_get_custom_term_values('portfolio-category'),
      'admin_label' => true,
      'std'         => '',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Post Limit',
      'param_name'  => 'limit',
      'admin_label' => true,
    ),
    // Extras
    $vc_map_extra_class,
  )

) );

vc_map( array(
  'name'        => 'Portfolio Grid',
  'base'        => 'photosy_portfolio_grid',
  'icon'        => 'fa fa-briefcase',
  'category'    => 'Photosy Elements',
  'description' => 'Create a portfolio grid',
  'params'          => array(
    array(
      'type'       => 'dropdown',
      'heading'    => 'Column',
      'param_name' => 'column',
      'value'      => array(
        '2' => '2',
        '3' => '3',
        '4' => '4',
      ),
      'admin_label' => true
    ),
    array(
      'type'       => 'dropdown',
      'heading'    => 'Space Between Column',
      'param_name' => 'space_between_columns',
      'value'      => array(
        'Yes' => 'yes',
        'No'  => 'no',
      ),
      'admin_label' => true
    ),
    array(
      'type'        => 'vc_efa_chosen',
      'heading'     => 'Categories',
      'description' => 'Show portfolio items only from these categories',
      'param_name'  => 'cats',
      'placeholder' => 'Categories',
      'value'       => photosy_get_custom_term_values('portfolio-category'),
      'admin_label' => true,
      'std'         => '',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Post Limit',
      'param_name'  => 'limit',
      'admin_label' => true,
    ),
    // Extras
    $vc_map_extra_class,
  )

) );

vc_map( array(
  'name'            => 'Portfolio',
  'base'            => 'photosy_portfolio',
  'icon'            => 'fa fa-briefcase',
  'category'    => 'Photosy Elements',
  'description'     => 'Create a portfolio grid',
  'params'          => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Style',
      'param_name'  => 'style',
      'admin_label' => true,
      'value'       => array(
        'style1'   => 'style1',
        'style2'   => 'style2',
        'style3'   => 'style3',
        'style4'   => 'style4',
      ),
    ),
    array(
      'type'        => 'vc_efa_chosen',
      'heading'     => 'Categories',
      'description' => 'Show portfolio items only from these categories',
      'param_name'  => 'cats',
      'placeholder' => 'Categories',
      'value'       => photosy_get_custom_term_values('portfolio-category'),
      'admin_label' => true,
      'std'         => '',
    ),
    array(
      'type'        => 'dropdown',
      'admin_label' => true,
      'heading'     => 'Order by',
      'param_name'  => 'orderby',
      'value'       => array(
        'ID'            => 'ID',
        'Author'        => 'author',
        'Post Title'    => 'title',
        'Date'          => 'date',
        'Last Modified' => 'modified',
        'Random Order'  => 'rand',
        'Comment Count' => 'comment_count',
        'Menu Order'    => 'menu_order',
      ),
    ),
    array(
      'type'        => 'dropdown',
      'admin_label' => true,
      'heading'     => 'Order',
      'param_name'  => 'order',
      'value'       => array(
        'Descending' => 'DESC',
        'Ascending'  => 'ASC',
      ),
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Post Limit',
      'param_name'  => 'limit',
      'admin_label' => true,
    ),
    // Extras
    $vc_map_extra_class,
  )

) );

vc_map( array(
  'name'            => 'Portfolio Slider',
  'base'            => 'photosy_portfolio_slider',
  'icon'            => 'fa fa-briefcase',
  'category'    => 'Photosy Elements',
  'description'     => 'Create a portfolio slider',
  'params'          => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Style',
      'param_name'  => 'style',
      'admin_label' => true,
      'value'     => array(
        'Style 1'  => 'style1',
        'Style 2'  => 'style2',
        'Style 3'  => 'style4',
        'Style 4'  => 'style5',
        'Style 5'  => 'style6',
        'Style 6'  => 'style7',
        'Style 7'  => 'style8',
      ),
    ),
    array(
      'type'        => 'vc_efa_chosen',
      'heading'     => 'Categories',
      'description' => 'Show portfolio items only from these categories',
      'param_name'  => 'cats',
      'placeholder' => 'Categories',
      'value'       => photosy_get_custom_term_values('portfolio-category'),
      'admin_label' => true,
      'std'         => '',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Post Limit',
      'param_name'  => 'limit',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Exclude posts',
      'description' => 'Post IDs you want to exclude, separated by commas eg. 120,123,1005',
      'param_name'  => 'exclude_posts',
      'admin_label' => true,
      'value'       => ''
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Autoplay',
      'param_name'  => 'autoplay',
      'description' => 'Enter autoplay value e.g 2000 Note: 0 means OFF',
      'admin_label' => true,
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Slide Change on Scroll ?',
      'param_name'  => 'slide_change_on_scroll',
      'admin_label' => true,
      'value'     => array(
        'Yes'  => 'true',
        'No'  => 'false',
      ),
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Speed',
      'param_name'  => 'speed',
      'admin_label' => true,
    ),
    // Extras
    $vc_map_extra_class,
  )

) );


vc_map( array(
  'name'            => 'Portfolio Project Details',
  'base'            => 'photosy_portfolio_project_details',
  'category'    => 'Photosy Elements',
  'icon'            => 'fa fa-briefcase',
  'description'     => 'Add portfolio project details',
  'params'          => array(
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'param_name'  => 'content',
      'holder'      => 'div',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #1',
      'param_name'  => 'field_1',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #2',
      'param_name'  => 'field_2',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #3',
      'param_name'  => 'field_3',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #4',
      'param_name'  => 'field_4',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #5',
      'param_name'  => 'field_5',
      'admin_label' => true,
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Field #6',
      'param_name'  => 'field_6',
      'admin_label' => true,
    ),
    // Extras
    $vc_map_extra_id,
    $vc_map_extra_class,
  )

) );

vc_map( array(
  'name'          => 'Space',
  'base'          => 'photosy_space',
  'category'    => 'Photosy Elements',
  'icon'          => 'fa fa fa-arrows-v',
  'description'   => 'Add space.',
  'params'        => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Height',
      'admin_label' => true,
      'param_name'  => 'lg_device',
      'group'       => 'Large Device',
      'value'       => photosy_get_space_array_addons(),
      'description' => 'All values are in px'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Height',
      'admin_label' => true,
      'param_name'  => 'md_device',
      'group'       => 'Medium Device',
      'value'       => photosy_get_space_array_addons(),
      'description' => 'All values are in px'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Height',
      'admin_label' => true,
      'param_name'  => 'sm_device',
      'group'       => 'Small Device',
      'value'       => photosy_get_space_array_addons(),
      'description' => 'All values are in px'
    ),
    array(
      'type'        => 'dropdown',
      'heading'     => 'Height',
      'admin_label' => true,
      'param_name'  => 'xs_device',
      'group'       => 'Extra Small Device',
      'value'       => photosy_get_space_array_addons(),
      'description' => 'All values are in px'
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );

vc_map( array(
  'name'          => 'Hero Banner',
  'base'          => 'photosy_hero_banner',
  'category'    => 'Photosy Elements',
  'icon'          => 'fa fa fa-arrows-v',
  'description'   => 'Add hero banner block.',
  'params'        => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Style',
      'param_name'  => 'style',
      'admin_label' => true,
      'value'     => array(
        'Style 1' => 'style1',
        'Style 2' => 'style2',
        'Style 3' => 'style3',
        'Style 4' => 'style4',
      ),
    ),
    array(
      'type'        => 'attach_image',
      'heading'     => 'Background',
      'param_name'  => 'bg_image',
      'dependency'  => array( 'element' => 'style', 'value' => array('style1', 'style4') ),
    ),
    array(
      'type'        => 'attach_image',
      'heading'     => 'Author Image',
      'param_name'  => 'logo_image',
      'dependency'  => array( 'element' => 'style', 'value' => array('style1', 'style2', 'style4') ),
    ),
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'holder'      => 'h2',
      'param_name'  => 'content',
    ),
    array(
      'type'        => 'attach_image',
      'heading'     => 'Signature',
      'param_name'  => 'signature_img',
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );

vc_map( array(
  'name'          => 'About Block',
  'base'          => 'photosy_about_block',
  'category'    => 'Photosy Elements',
  'icon'          => 'fa fa fa-arrows-v',
  'description'   => 'Add about block.',
  'params'        => array(
    array(
      'type'        => 'attach_image',
      'heading'     => 'Image',
      'param_name'  => 'block_img',
    ),
    array(
      'type'       => 'dropdown',
      'heading'    => 'Style',
      'param_name' => 'style',
      'value'    => array(
        'Style 1'   => 'style1',
        'Style 2'   => 'style2',
      ),
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Title',
      'holder'      => 'h2',
      'param_name'  => 'title',
    ),
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'holder'      => 'p',
      'param_name'  => 'content',
    ),
    array(
      'type'        => 'attach_image',
      'heading'     => 'Signature',
      'param_name'  => 'signature_img',
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );

// ==========================================================================================
// Text Block With Button
// ==========================================================================================
vc_map( array(
  'name'          => 'Text Block With Button',
  'base'          => 'photosy_text_block_with_button',
  'category'    => 'Photosy Elements',
  'icon'          => 'fa fa fa-arrows-v',
  'description'   => 'Add text block with button.',
  'params'        => array(
    array(
      'type'        => 'textfield',
      'heading'     => 'Title',
      'holder'      => 'h2',
      'param_name'  => 'title',
    ),
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'holder'      => 'p',
      'param_name'  => 'content',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Button Text',
      'param_name'  => 'btn_text',
    ),
    array(
      'type'        => 'vc_link',
      'heading'     => 'Button Link',
      'param_name'  => 'btn_link',
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );

// ==========================================================================================
// Call to Action
// ==========================================================================================
vc_map( array(
  'name'          => 'Call To Action',
  'base'          => 'photosy_cta',
  'category'      => 'Photosy Elements',
  'icon'          => 'fa fa fa-arrows-v',
  'description'   => 'Add text block with button.',
  'params'        => array(
    array(
      'type'        => 'textarea_html',
      'heading'     => 'Content',
      'holder'      => 'div',
      'param_name'  => 'content',
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Button Text',
      'param_name'  => 'btn_text',
    ),
    array(
      'type'        => 'vc_link',
      'heading'     => 'Button Link',
      'param_name'  => 'btn_link',
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );




// ==========================================================================================
// VC COLUMN TEXT
// ==========================================================================================
vc_map( array(
  'name'          => 'Text Block',
  'base'          => 'vc_column_text',
  'icon'          => 'fa fa-text-width',
  'category'    => 'Photosy Elements',
  'description'   => 'A block of text with WYSIWYG editor',
  'params'        => array(
    array(
      'type'        => 'dropdown',
      'heading'     => 'Text Size',
      'param_name'  => 'dp_text_size',
      'value'       => array(
        'Small'  => 'sm',
        'Medium' => 'md',
        'Large'  => 'lg'
      ),
    ),
    array(
      'holder'     => 'div',
      'type'       => 'textarea_html',
      'heading'    => 'Text',
      'param_name' => 'content',
      'value'      => '<p>I am text block. Click edit button to change this text.</p>',
    ),

    array(
      'type'        => 'dropdown',
      'heading'     => 'Font',
      'param_name'  => 'font',
      'admin_label' => true,
      'value'       => array_flip(photosy_get_font_choices(true)),
      'group'       => 'Font Properties'
    ),

    array(
      'type'        => 'dropdown',
      'heading'     => 'Font Weight',
      'param_name'  => 'font_weight',
      'value'       => array(
        'Light'      => '300',
        'Normal'     => '400',
        'Bold'       => '600',
        'Bold'       => '700',
        'Extra Bold' => '800',
      ),
      'group'       => 'Font Properties'
    ),

    array(
      'type'        => 'dropdown',
      'heading'     => 'Font Style',
      'param_name'  => 'font_style',
      'value'       => array(
        'Normal' => 'normal',
        'Italic' => 'italic',
      ),
      'group'       => 'Font Properties'
    ),

    //custom color
    array(
      'type'       => 'colorpicker',
      'heading'    => 'Text Color',
      'param_name' => 'text_color',
      'group'      => 'Custom Color'
    ),

    //size
    array(
      'type'       => 'textfield',
      'heading'    => 'Text Size',
      'param_name' => 'text_size',
      'description' => 'Add in pixel e.g 14px',
      'group'      => 'Font Properties'
    ),
    array(
      'type'       => 'textfield',
      'heading'    => 'Line Height',
      'param_name' => 'line_height',
      'description' => 'Add in pixel e.g 11px',
      'group'      => 'Font Properties'
    ),
    array(
      'type'        => 'textfield',
      'heading'     => 'Letter Spacing',
      'param_name'  => 'letter_spacing',
      'description' => 'Add in pixel e.g 1px',
      'group'       => 'Font Properties'
    ),

    $vc_map_extra_id,
    $vc_map_extra_class,
  )
) );


if ( is_plugin_active( 'wp-instagram-widget/wp-instagram-widget.php' ) ) {
  vc_map( array(
    'name'          => 'Instagram',
    'base'          => 'photosy_instagram',
    'category'      => 'Photosy Elements',
    'icon'          => 'fa fa-instagram',
    'description'   => 'Add instagram images.',
    'params'        => array(
      array(
        'type'        => 'textfield',
        'heading'     => '@username or #tag',
        'admin_label' => true,
        'param_name'  => 'username',
      ),
      array(
        'type'        => 'textfield',
        'heading'     => 'Limit',
        'admin_label' => true,
        'param_name'  => 'limit',
      ),
    )
  ) );
}
