<?php
/**
 *
 * RS Blog
 * @since 1.0.0
 * @version 1.1.0
 *
 */
function photosy_blog( $atts, $content = '', $id = '' ) {
  extract( shortcode_atts( array(
    'id'               => '',
    'class'            => '',
    'cats'             => 0,
    'orderby'          => 'ID',
    'exclude_posts'    => '',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. $class : '';
  $args = array(
    'orderby'        => $orderby,
    'posts_per_page' => 4,
  );

  if( $cats ) {
    $args['tax_query'] = array(
      array(
        'taxonomy' => 'category',
        'field'    => 'slug',
        'terms'    => explode( ',', $cats )
      )
    );
  }

  if (!empty($exclude_posts)) {
    $exclude_posts_arr = explode(',',$exclude_posts);
    if (is_array($exclude_posts_arr) && count($exclude_posts_arr) > 0) {
      $args['post__not_in'] = array_map('intval',$exclude_posts_arr);
    }
  }

  ob_start();
  $the_query = new WP_Query($args); ?>


  <div <?php echo $id; ?> class="row tb-blog__shortcode <?php echo esc_attr($class); ?>">
    <?php while ($the_query -> have_posts()) : $the_query -> the_post(); ?>
      <div <?php post_class('col-md-3 col-sm-6'); ?>>
        <div class="tb-single-post">
          <?php if(has_post_thumbnail()): ?>
            <div class="image text-center">
              <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php the_post_thumbnail('photosy-small'); ?>
              </a>
            </div>
          <?php endif; ?>
          <div class="tb-post-desc">
            <h4 class="h4 tb-post-title">
              <a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a>
            </h4>
            <div class="post-meta tb-style1">
              <span class="post-label"><?php echo esc_html__('Posted on', 'photosy-addons'); ?></span>
              <span class="post-date"><?php echo get_the_date(get_option('date_format')); ?></span>
          </div>
          </div>
        </div><!-- .tb-single-post -->
        <div class="marg-lg-b25 marg-xs-b25"></div>
      </div><!-- .col -->
    <?php endwhile; wp_reset_postdata(); ?>
  </div>
  <?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode( 'photosy_blog', 'photosy_blog' );
