<?php
/**
 *
 * CTA
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_cta( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'       => '',
    'class'    => '',
    'btn_text' => '',
    'btn_link' => '',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. photosy_sanitize_html_classes($class) : '';

  if (function_exists('vc_parse_multi_attribute')) {
    $parse_args = vc_parse_multi_attribute($btn_link);
    $href       = ( isset($parse_args['url']) ) ? $parse_args['url'] : '#';
    $btn_title  = ( isset($parse_args['title']) ) ? $parse_args['title'] : 'button';
    $target     = ( isset($parse_args['target']) ) ? trim($parse_args['target']) : '_self';
  }

  $output = '<div '.$id.' class="tb-call__action'.$class.'">';
  $output .= '<div class="row">';

  $output .= '<div class="col-md-10 col-sm-12">';
  $output .= '<div class="simple-text md">'.photosy_set_wpautop($content).'</div>';
  $output .= '</div>';

  $output .= '<div class="col-md-2 col-sm-12"><div class="marg-lg-b10 marg-sm-b20"></div>';
  $output .= '<div class="tb-btn__wrapper">';
  $output .= '<a href="'.esc_url($href).'" target="'.esc_attr($target).'" class="c-btn block-btn">'.esc_html($btn_text).'</a>';
  $output .= '</div>';
  $output .= '</div>';
  

  $output .= '</div>';
  $output .= '</div>';

  return $output;
}

add_shortcode('photosy_cta', 'photosy_cta');
