<?php
/**
 *
 * Hero Banner Block
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_hero_banner( $atts, $content = '', $id = '' ) {
  extract( shortcode_atts( array(
    'id'            => '',
    'class'         => '',
    'style'         => 'style1',
    'logo_image'    => '',
    'signature_img' => '',
    'bg_image'      => ''
  ), $atts ) );

  $id     = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class  = ( $class ) ? ' '. sanitize_html_classes($class) : '';

  $logo_url            = photosy_get_image_src($logo_image, 'photosy-medium-hor');
  $signature_image_url = photosy_get_image_src($signature_img);
  $bg_image_url        = photosy_get_image_src($bg_image);

  $bg_image_style = (!empty($bg_image_url) && $style == 'style4' || $style == 'style1') ? ' style="background-image:url('.esc_url($bg_image_url).');"':'';

  $output  = '<div class="hero-banner hero-banner-'.$style.'">';
  $output .=  '<section '.$id.' class="hero '.$class.'">';
  $output .=  '<div class="hero-bg bg"'.$bg_image_style.'>';
  $output .=  '<div class="hero-overlay"></div>';
  $output .=  '</div>';
  $output .=  '<div class="container">';
  $output .=  '<div class="hero-content">';
  if($style !== 'style3'):
    $output .=  '<div class="hero-logo-wrap">';
    $output .=  '<div class="hero-logo">';
    $output .=  '<img src="'.esc_url($logo_url).'" alt="">';
    $output .=  '</div>';
    $output .=  '</div>';
  endif;
  $output .=  '<div class="hero-text">';
  $output .=  '<h1>'.wp_kses_post($content).'</h1>';
  $output .=  '<div class="signature"><img src="'.esc_url($signature_image_url).'" alt=""></div>';
  $output .=  '</div>';
  $output .=  '</div>';
  $output .=  '</div>';
  $output .=  '</section>';
  $output .=  '</div>';
      


  return $output;
}

add_shortcode('photosy_hero_banner', 'photosy_hero_banner');
