<?php
/**
 *
 * RS Portfolio Grid
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_portfolio_grid($atts, $content = '', $id = '') {
  global $post;
  extract(shortcode_atts(array(
    'id'                    => '',
    'class'                 => '',
    'column'                => 2,
    'space_between_columns' => 'yes',
    'limit'                 => 4,
    'cats'                  => '',
  ), $atts));

  $class = ( $class ) ? ' ' .$class : '';
  $limit = (empty($limit)) ? 4:$limit;

  $width_class  = '';
  switch ($column) {
    default:
    case 2:
      $width_class = 'wh-50';
      $image_size  = 'photosy-square-medium';
    break;
    case 3:
      $width_class = 'wh-30';
      $image_size  = 'photosy-square-medium';
    break;
    case 4:
      $width_class = 'wh-25';
      $image_size  = 'photosy-square-medium';
    break;
  }

  $args = array(
    'posts_per_page' => $limit,
    'meta_query'     => array(array('key' => '_thumbnail_id')),
    'orderby'        => 'date',
    'post_type'      => 'portfolio',
  );

  $args['tax_query'] = array(
    array(
      'taxonomy' => 'portfolio-category',
      'field'    => 'slug',
      'terms'    => explode(',', $cats),
    ),
  );

  ob_start();

  $the_query = new WP_Query($args);
  $max_num_pages = $the_query->max_num_pages; ?>


  <section class="section portfolio-grid <?php echo esc_attr($class); ?>">

    <div class="portfolio portfolio-masonry lightgallery <?php echo ($space_between_columns == 'yes') ? 'has-gutter':'no-gutter'; ?>">
    <div class="grid-sizer"></div>
      <?php
        while ($the_query -> have_posts()) : $the_query -> the_post();
          $terms = wp_get_post_terms(get_the_ID(), 'portfolio-category');
          $term_slugs = array();
          $term_names = array();
          if (count($terms) > 0):
            foreach ($terms as $term):
              $term_slugs[] = $term->slug;
              $term_names[] = $term->name;
            endforeach;
          endif;
          $args = array(
            'width_class'  => $width_class,
            'link_to'      => photosy_get_post_opt('portfolio-link-to'),
          );
          photosy_portfolio_grid_items($args, $image_size, $term_slugs, $term_names);
        endwhile;
        wp_reset_postdata();
      ?>
    </div>
  </section>
  <?php

  $output = ob_get_clean();
  return $output;
}
add_shortcode('photosy_portfolio_grid', 'photosy_portfolio_grid');

if(!function_exists('photosy_portfolio_grid_items')) {
  function photosy_portfolio_grid_items($args, $image_size, $term_slugs, $term_names) { 
    global $post;
    extract($args);
    $image_src  = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
    $permalink  = ($link_to == 'lightbox') ? $image_src[0]:get_the_permalink();
  ?>
    <div class="portfolio-item item <?php echo sanitize_html_classes($width_class); ?> <?php echo sanitize_html_classes(implode(' ', $term_slugs)); ?>">
      <div class="item-drid-size">
        <?php the_post_thumbnail($image_size, array('class' => 'resp-img')); ?>
        <a href="<?php echo esc_url($permalink); ?>" class="link-wrap item-hov  <?php echo ($link_to == 'lightbox') ? 'lightbox-item':''; ?>"></a>
         <div class="item-desc">
          <h4 class="h4"><?php the_title(); ?></h4>
            <span><?php echo implode(', ', $term_names); ?></span>
         </div>
      </div>
    </div>
    <?php
  }
}