<?php
/**
 *
 * Portfolio Single Project Details
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_portfolio_project_details( $atts, $content = '', $id = '' ) {
  extract( shortcode_atts( array(
    'id'      => '',
    'class'   => '',
    'field_1' => '',
    'field_2' => '',
    'field_3' => '',
    'field_4' => '',
    'field_5' => '',
    'field_6' => '',
  ), $atts ) );

  $id     = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class  = ( $class ) ? ' '. sanitize_html_classes($class) : '';

  global $post;
  $terms = wp_get_post_terms(get_the_ID(), 'portfolio-category');
  $term_name = array();
  if (count($terms) > 0):
    foreach ($terms as $term):
      $term_name[] = $term->name;
    endforeach;
  endif;

  $output  =  '<div '.$id.' class="portfolio-single-details-wrapper'.$class.'">';
  $output .=  '<div class="portfolio-single-title"><h1 class="h2">'.get_the_title().'</h1></div>';
  $output .=  '<div class="portfolio-single-category"><h6>'.implode(' / ', $term_name).'</h6></div>';
  $output .=  '<div class="marg-lg-b15"></div>';
  $output .=  '<div class="portfolio-single-description simple-text md">';
  $output .=  '<p>'.wp_kses_post($content).'</p>';
  $output .=  '</div>';
  $output .=  '<div class="marg-lg-b20"></div>';
  $output .=  '<div class="portfolio-single-details">';
  $output .=  '<ul>';
  if(!empty($field_1) && !empty($field_2)):
    $output .=  '<li>';
    $output .=  '<div class="details-field"><span>'.esc_html($field_1).'</span>'.esc_html($field_2).'</div>';
    $output .=  '</li>';
  endif;
  if(!empty($field_3) && !empty($field_4)):
    $output .=  '<li>';
    $output .=  '<div class="details-field"><span>'.esc_html($field_3).'</span>'.esc_html($field_4).'</div>';
    $output .=  '</li>';
  endif;
  if(!empty($field_5) && !empty($field_6)):
    $output .=  '<li>';
    $output .=  '<div class="details-field"><span>'.esc_html($field_5).'</span>'.esc_html($field_6).'</div>';
    $output .=  '</li>';
  endif;
  $output .=  '</ul>';
  $output .=  '</div>';
  $output .=  '</div>';

  return $output;
}

add_shortcode('photosy_portfolio_project_details', 'photosy_portfolio_project_details');
