<?php
/**
 *
 * Portfolio Slider
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_portfolio_slider($atts, $content = '', $id = '') {
  extract(shortcode_atts(array(
    'id'                     => '',
    'class'                  => '',
    'limit'                  => 4,
    'cats'                   => '',
    'speed'                  => '800',
    'autoplay'               => '0',
    'slide_change_on_scroll' => 'true',
    'style'                  => 'style1',
  ), $atts));

  $args = array(
    'posts_per_page' => $limit,
    'meta_query'     => array(array('key' => '_thumbnail_id')),
    'orderby'        => 'date',
    'post_type'      => 'portfolio',
  );

  $args['tax_query'] = array(
    array(
      'taxonomy' => 'portfolio-category',
      'field'    => 'slug',
      'terms'    => explode(',', $cats),
    ),
  );

  ob_start();

  $the_query = new WP_Query($args); 
  switch ($style) {
    default:
    case 'style1':
      photosy_slider_style_one($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style2':
      photosy_slider_style_two($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style4':
      photosy_slider_style_four($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style5':
      photosy_slider_style_five($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style6':
      photosy_slider_style_six($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style7':
      photosy_slider_style_seven($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style8':
      photosy_slider_style_eight($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
    case 'style9':
      photosy_slider_style_nine($the_query, $speed, $autoplay, $slide_change_on_scroll);
      break;
  }

  $output = ob_get_clean();
  return $output;
}

add_shortcode('photosy_portfolio_slider', 'photosy_portfolio_slider');
