<?php
/**
 *
 * Text Block With Button
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_text_block_with_button( $atts, $content = '', $id = '' ) {
  extract( shortcode_atts( array(
    'id'       => '',
    'class'    => '',
    'title'    => '',
    'btn_text' => '',
    'btn_link' => ''
  ), $atts ) );

  if (function_exists('vc_parse_multi_attribute')) {
    $parse_args = vc_parse_multi_attribute($btn_link);
    $href       = ( isset($parse_args['url']) ) ? $parse_args['url'] : '#';
    $btn_title  = ( isset($parse_args['title']) ) ? $parse_args['title'] : 'button';
    $target     = ( isset($parse_args['target']) ) ? trim($parse_args['target']) : '_self';
  }

  $output  =  '<div class="text-block-with-button">';
  $output .=  '<div class="block-title"><h2>'.esc_html($title).'</h2></div>';
  $output .=  '<div class="block-content"><p>'.wp_kses_post($content).'</p></div>';
  $output .=  '<div class="marg-lg-b40"></div>';
  $output .=  '<a href="'.esc_url($href).'" target="'.esc_attr($target).'" class="c-btn block-btn">'.esc_html($btn_text).'</a>';
  $output .=  '</div>';

  return $output;
}

add_shortcode('photosy_text_block_with_button', 'photosy_text_block_with_button');
