<?php
/**
 *
 * RS Portfolio
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function photosy_portfolio_grid($atts, $content = '', $id = '') {
  global $post;
  wp_enqueue_style('photosy-swipebox');
  extract(shortcode_atts(array(
    'id'             => '',
    'class'          => '',
    'style'          => 'style1',
    'filter_cats'    => '',
    'heading'        => '',
    'show_filter'    => 'yes',
    'load_more_size' => 'small',
    'limit'          => 4,
    'cats'           => 0,
    'exclude_posts'  => '',
  ), $atts));

  $class = ( $class ) ? ' ' .$class : '';
  $limit = (empty($limit)) ? 4:$limit;

  if (get_query_var('paged')) {
    $paged = get_query_var('paged');
  } elseif (get_query_var('page')) {
    $paged = get_query_var('page');
  } else {
    $paged = 1;
  }
  
  $image_size   = array(
    'wh-25|photosy-small-ver',
    'wh-25|photosy-small-medium',
    'wh-25|photosy-small',
    'wh-25|photosy-small-ver-long',
  );
  $filter_class = 'center-filter';
  $width_class  = '';

  $args = array(
    'posts_per_page' => $limit,
    'meta_query'     => array(array('key' => '_thumbnail_id')),
    'orderby'        => 'date',
    'post_type'      => 'portfolio',
    'paged'          => $paged,
  );

  $args['tax_query'] = array(
    array(
      'taxonomy' => 'portfolio-category',
      'field'    => 'slug',
      'terms'    => explode(',', $cats),
    ),
  );
  
  if (!empty($exclude_posts)) {

    $exclude_posts_arr = explode(',',$exclude_posts);
    if (is_array($exclude_posts_arr) && count($exclude_posts_arr) > 0) {
      $args['post__not_in'] = array_map('intval',$exclude_posts_arr);
    }
  }

  ob_start();

  $the_query = new WP_Query($args);
  $max_num_pages = $the_query->max_num_pages; ?>


  <section class="section">
    <div class="container">
      <div class="row">

        <div class="izotope-container">
        <div class="grid-sizer"></div>
          <?php
            $count = 0;
            $delay = 0.3;
            while ($the_query -> have_posts()) : $the_query -> the_post();
              $count = ($count > 3) ? 0:$count;
              $terms = wp_get_post_terms(get_the_ID(), 'portfolio-category');
              $term_slugs = array();
              $term_names = array();
              if (count($terms) > 0):
                foreach ($terms as $term):
                  $term_slugs[] = $term->slug;
                  $term_names[] = $term->name;
                endforeach;
              endif;
              $args = array(
                'width_class'    => $width_class,
                'posts_per_page' => $limit,
                'count'          => $count,
                'limit'          => $limit,
                'delay'          => $delay,
                'link_to'        => photosy_get_post_opt('portfolio-link-to'),
                'external_url'   => photosy_get_post_opt('portfolio-external-link-url'),
                'style'          => 'masonry'
              );
              photosy_portfolio_items($args, $image_size, $term_slugs, $term_names);
              $count++;
              $delay += 0.2;
            endwhile;
            wp_reset_postdata();
          ?>
       </div>


     </div>
    </div>
  </section>
  <?php

  $output = ob_get_clean();
  return $output;
}

add_shortcode('photosy_portfolio_grid', 'photosy_portfolio_grid');

if(!function_exists('photosy_portfolio_items')) {
  function photosy_portfolio_items($args, $image_size, $term_slugs, $term_names) {
    extract($args);
    global $post;
    switch ($style) {
      case 'one_column':
      case 'three_column':
      case 'four_column':
      default: ?>

      <?php
        $image_src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
        $link_class = '';
        if($link_to == 'lightbox') {
          wp_enqueue_style('photosy-swipebox');
          $link_class = 'swipebox';
          $href = $image_src[0];
        } elseif($link_to == 'external-url' && !empty($external_url)) {
          $href = $external_url;
        } else {
          $href = get_the_permalink();
        }
      ?>

        <div class="item wow zoomIn <?php echo sanitize_html_classes($width_class); ?> <?php echo sanitize_html_classes(implode(' ', $term_slugs)); ?> wow zoomIn" data-wow-delay="<?php echo esc_attr($delay); ?>s">
          <div class="item-drid-size">
            <?php the_post_thumbnail($image_size, array('class' => 'resp-img')); ?>
            <a href="<?php echo esc_url($href); ?>" class="link-wrap <?php echo esc_attr($link_class); ?> item-hov"><span></span><span></span></a>
          </div>
        </div>
        <?php
        break;
      case 'masonry':
        $count      = ( $count < 4 ) ? $count:0;
        $image_attr = explode('|', $image_size[$count]);
      ?>
        <div class="item wow zoomIn <?php echo sanitize_html_classes($image_attr[0]); ?> <?php echo sanitize_html_classes(implode(' ', $term_slugs)); ?>" data-wow-delay="<?php echo esc_attr($delay); ?>s">
          <div class="item-drid-size">
            <?php the_post_thumbnail($image_attr[1], array('class' => 'resp-img')); ?>
            <a href="<?php echo esc_url(get_the_permalink()); ?>" class="link-wrap item-hov"></a>
             <div class="item-desc">
              <h4 class="h4"><?php the_title(); ?></h4>
                 <span><?php echo implode(', ', $term_names); ?></span>
             </div>
          </div>
        </div>
        <?php
        break;
    }
  }
}